Introduction

FWI CALCULATOR v.11.6.5.118 BETA (15 April 2023)

This application was created to solve an immediate need, and in doing so developed well beyond its initial scope. FWI Calculator provides the following facilities...

WHAT'S NEW IN THIS VERSION
FWICalc can now produce 5 day FWI forecast data calculated from weather forecast data available from www.yourweather.co.uk.
FTP encryption type can now be chosen (None, Tls, Ssl). Application updated to use OpenSSL-3.
A small data file can be created that POSTS automatically to the FWICalc website. The data can be viewed in maps or tabular form there.
SSL (https) files can now be used as weather data input files.

AND WHAT IT CAN DO FOR YOU
Manually accepts weather & environment data, then calculates daily FWI, BUI, ISI, DC, DMC, FFMC, GFDI, FFDI, DF, BKDI, Angstrom Index and FMI.
Saves weather data & FWI indices in a recoverable data file.
Automatically interprets text files produced by remote weather station software containing weather data and calculates daily FWI indices.
Automatically parses text files, allowing for insertion of FWI data into web documents etc.
Capable of creating a HTML table containing specified FWI data.
FTP facilities are provided for uploading of parsed output file.
Displays charted data for FWI, FFMC, DMC, DC, ISI, BUI, CBI, Angstrom, FMI and allows them to be saved to file (csv).

Disclaimer: No warranty is supplied with this software. It is currently freeware at this version. The software producer (SoftRock) will not be liable for any damage or data loss created by use of this software. You use it at your own peril.


System Requirements

Platform: Windows (Vista & Windows 7, 8, 10, 11 ( 32 & 64 bit Windows systems).
Note: Windows XP and below lack necessary system DLL files!
Disk Space: 5Mb for application, 1MB required for database files created over 10yrs.
Modem/Broadband: Optional (required for FTP transfers)
Video: Super VGA (800x600 min)
Memory: Usage 16Mb
Internet Access: Broadband connection or better, if uploading files or requiring automatic download of updates.
Other Applications: Notepad.exe (comes with Windows) & Adobe Acrobat Reader DC


Setting Up Station Data

FWI Setup

Menu Item - Edit / FWI Setup

Station and Fire Weather Settings

  • This dialog allows you to set up everything necessary to get FWI Calculator working with your weather station data in 4 steps.
  • You can Check your settings at anytime. The 4 steps will turn a "green" colour when valid settings are chosen. Pink/Red indicates invalid settings - errors or suggestions will be shown in the text box (bottom right). Light blue indicates the section being disabled.
  • Initial Values in the 2. INITIAL VALUES section must be chosen when you first install FWI Calculator (Replace), this will also create a empty FWI database file (default.fwi).
  • The 3. ENVIRONMENT section is probably the most complex. Some field work may be required to determine such parameters as Grass Curing and Fuel Loading.
  • Unchecking the Parse Enabled in the 4. WX STATION DATA FILE section will disable this section (no parsing of weather station data will occur. FWI Calculator will be manual input only).

1. STATION SETTINGS

Hemisphere - Select Northern or Southern hemispheres. This is a compulsory setting. It is used to determine some calibration factors in some FWI indices, and is used as a default if the latitude & longitude values create errors.

Country - Select your country from the drop-down list.

Station Name - Choose a station name (eg. Arthur's Pass). This is used in printed reports and headings.

Height ASL - Enter the height of your weather station above sea level (feet or metres).

Longitude - Enter in decimal form (eg. 171.5583) the global longitude of your station location. This is a compulsory entry, it directly effects the way some indices are calculated. Remember that eastwards from the Prime Meridian (0º at Greenwich, England) will be positive to +180ºand westwards negative to -180º.

Latitude - Enter in decimal form (eg. -45.94166) the global latitude of your station location. Note: Northern hemisphere latitudes are positive whilst Southern hemisphere latitudes should be entered as negatives.This is a compulsory entry, it directly effects the way some indices are calculated.

WX Station Units & Calibration
Use the selection boxes to select the units your station provides data in. These directly effect the way ALL FWI indices are calculated as they go through a conversion process. They are also used to display units on graphs & reports (Note: RH Decimal will be converted to RH %).

Calibration corrections can be chosen for Temperature,Humidity, Windspeed & Rainfall. These corrections will be applied to all input data before processing - use with caution!.

2. INITIAL VALUES

FWI CALCULATOR requires a minimum of previous day FFMC, DMC, DC & BKDI to be able to "on calculate" all subsequent data.

To obtain these startup values it is best you track down a FWI or FDI weather station in your locality that is typically effected by similar weather patterns. On entering these values it is best you wait 10-15 days before the calculated indices for your station "settle down" and can be relied upon.

If you cannot obtain local FWI values it is best you enter the following values...

FFMC: 60
DMC: 25 Click the Suggest button and these values will be inserted!
DC: 250
BKDI: 100mm or 395in (depending whether you are using millimetres or inches as your rainfall units)

these values will initiate your station with a MODERATE fire risk value. On entering these values it is best you wait 15-20 days before the calculated indices for your station "settle down" and can be relied upon.

It doesn't matter at this stage which of the other options are checked, however I will describe their function here...

Do Nothing: if this is checked nothing will change.

Replace: if this is checked, when you click the "Replace First" button the Initialisation Data found at the beginning of the database file will be replaced and ALL subsequent data will be recalculated to the end of the file.

IMPORTANT: You cannot delete these above entries, only change them.

Replace First- Click this button to write or overwrite your Initial Values to the database.

3. ENVIRONMENT

Enter data specific to the fire landscape in the Environment section. This data is used specifically to calculate the fire intensity (FI), Drought Factor (DF) and Fire Danger Index (FDI) values, and therefore Danger Codes specific to forest, scrubland and grassland environments. If you can't find a forest type appropriate select "Conifer plantation".

The FOREST section requires a fuel loading value. This can be in Tons/Acre or Tonnes/Hectare depending on your units settings. This is a difficult calculation, if you are unsure set the value to 10T/ha (4.4T/Acre). Plantation and dense Eucalypt forest could be set at 20-25T/ha (9-11 Ton/Acre). Average Annual Rainfall estimate can be entered in inches or millimetres.

The GRASSLAND section requires a Maximum Fuel Loading value. This can be in Tons/Acre or Tonnes/Hectare depending on your units settings. This is a difficult calculation, if you are unsure set the value to 3T/Ha (1.3 T/Acre). Set to the Maximum fuel loading present during a year, FWICalc will then estimate the seasonal variation in this loading. For a visual explanation of estimation visit http://www.arthurspass.com/fwicalc/PDF/PhotoGuideForGrassFuelLoads.pdf.

Fuel Load Estimator : Click this button to open a Fuel Load Estimation dialog. Select whether you want Metric (cm) or Imperial (inches) inputs. Select the Vegetation Type (eg. Grassland, Shrub Type, Forest Type). Choose a Groundcover Height value (this does not include forest height, only fine fuels such as duff, grasses & shrub). Choose the Density of the Groundcover, this is expressed as a percentage of the area, Click the Calculate Button. Values for Fuel Loading will be displayed in Tonnes/Hectare and Tons/Acre.

Please note that the values entered here are used as constants across ALL new records in the fwi data file. To obtain Application defaults click the "Use Defaults" button (initially these are generic presets, but default to your values after setup).

WINTER SNOW - If you receive permanent winter ground snow at your weather station this effects all FWI indices (generally they are not of any value); you may choose the Start & Last months of this occurrence here. Leaving these settings as zero indicates no period of winter ground snow is present. Setting these values will cause FWI Calculator to change Danger Codes to NA (Not Available) and on the 1st of the month following this period insert new initial (post winter) start values for FFMC, DMC & DC.

4. WX STATION DATA FILE

Data File: This file will be created by some other third party software that interfaces directly with a weather station (eg. WeatherLink, Cumulus, VWS, Weather Display, WeatherView32, Wetterstation, MeteoHub etc). Most weather software available on the market today comes with this capability (in most cases it will parse another file containing specific "web tags" particular to that software to create a "Custom File" that can be read by FWICalc).

This custom file must be in ascii/text format. All data MUST be separated by a "delimiting character or line feed", the type used is selectable in the "Data Delimiter Character" drop down menu.

If you are running VWS or Cumulus software, you can choose to use the data.csv / data2.csv files updated by VWS, or the realtime.txt file created by Cumulus,

Note: VWS data.csv contains raw/native data from your weather station. Best to use data2.csv that contains converted data in the units (metric or imperial) as selected by the user in VWS!

You need to tell FWICalc what type of input file you are using (Custom Data / Web File, VWS or Cumulus). If you created the file yourself to be parsed by your weather station software (eg. WeatherLink, WeatherDisplay, WeatherView, MeteoHub), or the file is available via online (http, https, www), choose Custom Data / Web File, and select the output file created by your weather station data. Note: FWICalc can parse files held remotely, MeteoHub users can only use this option to share the file produced. The filename must be a fully qualified URL beginning with http, https or www. A broadband connection is required to use this facility.

Warning: Some weather station software includes alpha-characters and punctuation in its output (eg. &deg; etc), make sure the delimiting character you choose to separate values does not appear in the normal output values, otherwise parsing errors will occur (out of range errors)!

The data must be in the following order... Date, Temperature, Humidity, Windspeed and Rainfall (24hr or Total Annual Rainfall) . The file can be named anything. Browse to it with the [image] button. View/Edit this file with the [image] button.

Using 24hr Rainfall (semi-colon delimiter)...
  • VWS: ^vst142^;^vxv007^;^vxv005^;^vxv002^;^vxv123^
    • >
  • Cumulus: <#date>;<#temp>;<#hum>;<#wlatest>;<#r24hour>
  • Weather Display: %date%;%temp%;%hum%;%avgspd%;%totalrainlast24hours%
  • Wetterstation (de): %ws_date%;%curval[0]%;%curval[18];%avg10minwind%;%rain24h%
    • >
  • MeteoHub: [actual_date0_day_local]/[actual_date0_month_local]/[actual_date0_year_local];[actual_th0_temp_c];actual_th0_hum_rel];[last15m_wind0_speed_kmh];[last24h_rain0_total_mm]
Using Annual Rainfall (semi-colon delimiter)...
  • WeatherLink (Davis):<!--date-->;<!--outsideTemp-->;<!--outsideHumidity-->;<!--wind10Avg-->;<!--totalRain-->
  • Cumulus: <#date>;<#temp>;<#hum>;<#wlatest>;<#ryear>
  • VWS: ^vst142^;^vxv007^;^vxv005^;^vxv002^;^vxv009^
  • Weather Display: %date%;%temp%;%hum%;%avgspd%;%yearrn%
  • WeatherView32: wvdatewv;wvcur01wv;wvcur13wv;wvcur18wv;wvcrtdwv
  • Wetterstation (de): %ws_date%;%curval[0]%;%curval[18];%avg10minwind%;%rainyear%
  • MeteoHub: [actual_date0_day_local]/[actual_date0_month_local]/[actual_date0_year_local];[actual_th0_temp_c];actual_th0_hum_rel];[last15m_wind0_speed_kmh];[year1_rain0_total_mm]
These examples use the semi-colon as the delimiter. You could use any separator in the FWI Calc "Data Delimiter Character" list as long as it doesn't appear in a Web Tag or is used as your decimal separator. If using Total Annual Rainfall, remember to insert yesterday's total annual rainfall in the "Set Yesterday Total Rain" box, and check the "Total Rainfall Used" box!

Dates cause the biggest issues - FWI Calculator is looking for the "Short Date Format" ie. mm/dd/yy or dd/mm/yy depending on your countries date format (the year may be 4 digits; the date separator can be / or - or .) - it tries it's darnest to read a viable date. Some weather programs provide web tags for day, month & year, so you could create a date tag that consistently works eg. Cumulus: <#month>/<#day>/<#year>. If you can't get it to work place the tag <fwidate> or ^fwidate^ in place of your programs date entry, FWI Calc will automatically insert the date (todays) at the time of parsing.

Thousand Separator Used (Rainfall Only): Some weather software packages may insert a thousand separator character into numbers (eg. 1,000 or 1.000). This will only affect rainfall. If your data file does include thousand separators, check this box to avoid errors when the file is parsed - DO NOT CHECK THIS BOX OTHERWISE!

Parse Time: By protocol this should be somewhere around 12:00hrs (noon/midday) daily (Standard Time). It should be timed to coincide with the updating of the Data File by your weather station. ie. If your weather station software updates the Data file at 12:00hrs daily you should set the "Parse at time" to 12:02hrs. FTP could then be setup to upload your parsed file/s to your server at 12:05hrs. FWI CALCULATOR uses the system clock as its basis. If you have any "Graphs" saved, all of these will be renewed at this time to the "graphs" folder. Note: some weather station software has its own "clock", this can cause problems in FWICalc should these clocks drift from the system clock time causing parses to miss the new data. Most of this software has an option to synchronise it with the system (computer) clock - do this!

Auto Read (15mins): FWICalc can read the Data File every 15 minutes. This is only a viable option if your weather station software also updates the data file with current data on a regular basis. FWICalc can then set maximum temperature (humidity & Windspeed) values for use in other indexes (CBI, FMI, Angstrom) if required.

DLS Adjust: FWICalc requires the weather data to be analysed at the same time every day (eg. midday), however if Daylight Saving is enabled on that computer then the time will need to be shifted by one hour (eg. 1300hrs). Checking this box will force the parsing of the data file an hour later than is set in the "Parse Time" input. This setting is only viable if your weather station software also updates the data file regularly. Note: The Checkbox text will be green if DLS is detected, or red if not (ie.Standard Time or detection fails).

Set yesterday total rain: Must be set if "Total rainfall used" is checked for the very first data record. It is the total rainfall reading for the same time on the previous day. Do not change this parameter again once the automatic system is enabled, FWI CALCULATOR will automatically update it.

Total rainfall used: Some weather stations cannot report rainfall in the previous 24hrs as is required by FWI CALCULATOR. Checking this box will report to FWI CALCULATOR that the incoming rainfall reading is "total rainfall" to that point in time. If this is going to be the case, you must for the very first data record supply the "total rainfall" reading for the same time on the previous day.

NOTE: FWICalc will read the Weather Data File every 15 minutes after the initial reading (Parse Time). If the temperature increases these values will be stored as Peak values. Humidity & wind speed will be recorded at this Peak time. Peak values will be used to recalculate FFDI & GFDI. FWI values cannot use Peak values as these indexes are designed around a midday reading.

CBI Use Max: CBI values will be recalculated using Peak Daily values.

FMI Use Max: FMI values will be recalculated using Peak Daily values.

Angstrom Use Max: Angstrom values will be recalculated using Peak Daily values.

Parse enabled: When checked, and the application is running parse and calculate operations will automatically occur at the prescribed time. The "Parse Enabled" checkbox on the Main Window will colour red for one minute when it is parsing files.

Fudge Enabled: Use this feature with caution. Should automated uploads from a weather station data file stop for some reason (eg. wx stn software crash) enabling this feature allows FWI Calculator to automatically insert correctly dated data fields that carry on the last known FFMC, DMC & DC values. In the past FWI Calculator just stopped and that was that, which I have discovered to be a real agony. With Fudge enabled FWI Calculator will continue inserting these dummy fields until a legitimate weather station input file becomes available (eg. your wx stn software is rebooted). The obvious caution is if you don't notice it, it could continue for some time (ever). To enable you to find and correct these "fudged" records quickly Choose Display/Fudged Records on the menu bar, only "fudged" records will be shown. You may edit these as normal to insert the correct data for that day/days. If there are far too many records to edit you may wish to insert new Initialisation Values at the end of the record file, or just let FWI Calculator progress with the new weather station data (DC will be most effected value).

Process Now: Clicking this button will process the current data file. It will overwrite any existing data for that date. If you use Total Rainfall make sure correct values for Total Rainfall are "Applied" before clicking this button. Use with caution!

Test: Clicking this button will test the delimiting structure of the current data file. If the file is held online, FWICalc will attempt to download it and save its contents to a temporary file. If it is successful you should see your data appear correctly against the various fields in the memo box (bottom right). This button uses the delimiting character selected in the drop down menu. Once you find something that works click the Apply button to save the selection. Note: the software will remove leading delimiter characters & double delimiter characters.

To save your settings click the OK button.

Application Settings

GENERAL SETTINGS
Select Minimise to System Tray on Startup if you want FWI Calculator to minimise to the System Tray area (lower right side of screen) on startup.

Select Notify me of Updates if you want FWICalc to check for updates. Generally this will occur around 1600hrs daily and you will get a notification if updates are available.

Select whether Error Logging Enabled is active or not (very useful if you are getting error messages from application). Attach FWI.error.log file to a email when notifying SoftRock of errors experienced.

Select whether to Keep FTP Log is enabled. This creates a standard log of FTP transactions. A verbose technical log is always produced.

Select whether POST Data to FWICalc Website is enabled. This will send a small data file to the FWICalc Website containing all your daily fire weather indices. It will send your Station Name & Location Data (Country, Hemisphere, Latitude, Longitude, Height). This will be entered into a online database each day; the most current daily record will overwrite the previous daily record. Visit the FWICalc website to view this data in maps or tabular form.

FRONT PAGE CHART TITLES
Select what Data Columns you want displayed on the main window chart by checking/unchecking the boxes as required. You may also drag & drop the order of the columns by clicking on the Ord. column and dragging it. Note: The Date field cannot be changed or deselected as this is the primary key for the editing functions! Column Titles can be edited by clicking on them. To return the column headings to their defaults click the [image] button.

Select whether you want Fire Danger Colours to be displayed in the main window chart (these will be associated with columns displaying danger codes, and the colours will be those chosen by the user).

Select whether you want the Fudge Records shown in the Chart (Default = False).

SELECT GRAPH FOLDER
Choose the folder where you would like graphs to be created. If you don't choose a folder, graphs will be created into the Application Data folder for FWICalc. You cannot use the folder where the application is installed.

BACK UP FILES
Choose the folder where you would like the six backup data files to be saved. Preferably backup your files to a different drive. The automatic save happens at 0020hrs daily. You can manually create the files by clicking the Backup Now button. On a Monday a time-stamped copy of the FWI Data File will also be created (fwidata0_YYYYMMDD.fwb), these will be automatically deleted after 30 days.

FILE CHECKS
A set of checks will be done on all the critical files necessary for stable running of FWI CALCULATOR. The results will be displayed here.

The main application data files (parse.dat, chart.dat, title.dat, print.dat) will auto-create if they don't exist. They can also be rebuilt individually if you are experiencing issues. Click on the small "R" button, this will open a hidden set of checkboxes where you can choose which files to completely rebuild. Rebuilding these files will reset any settings contained within them to default values eg. Title headings & order etc.

1) parse.dat - holds the complete series of webtags available to the application. It does not contain any user settings.
2) chart.dat - this controls the titles and data displayed in the table on the Main Window. It does hold user settings for title text, order shown, and what columns are shown.
3) title.dat - this controls the titles and data displayed in HTML tables created by the application. It does hold user settings for title text, order shown, and what columns are shown.
4) print.dat - this controls the titles and data displayed in printed tables created by the application. It does hold user settings for title text, order shown, and what columns are shown.

SAVING YOUR SETTINGS
To save your settings click the OK button.


Optional Requirements

Weather station interface software capable of creating a text ouput file containing Date, Temp, Humidity, Windspeed & Rainfall (total or 24hr).

FWI Calculator can use files already produced by Cumulus (realtime.txt) or VWS (data.csv or data2.csv) Software.


Installation Notes

Once you have initially installed the software use the "Check for Updates" function in the Help menu to update FWI Calculator to the latest available version automatically (an internet broadband connection is required).

Windows Installer Package (fwi_calc???.msi)

1) Open fwi_calc???.msi and follow onscreen instructions.

Windows Installer will deploy the application files in the folder "Program Files" on 32bit systems.

**NOTE: On 64bit systems the program will be deployed to the Program Files (x86) folder, if there are any issues with FWICalc failing to write files, try running the program as "Administrator", or try deploying to a folder on the root drive C:\FWI (not recommended).
The setup application will install the following files on your PC...

readme.txt
FWI.exe (application file)
fwicalc.chm (Windows HTML Help File - this file)
fwicalc.pdf (PDF version help file)
fwidat.dll (DLL containing data functions)
fwimath.dll (DLL containing math functions)
libcrypto-3.dll (DLL containing SSL Encryption Library)
libssl-3.dll (DLL containing SSL Encryption Library)
licence.rtf (Licence File)
readme.txt (Readme File)

To view information on transfering the database files to a new folder of the computer Click Here.

Run FWI.exe for first time...

If you have a previous version database, it should be automatically modified to the newer version without data loss.

To setup FWI Calculator go to Edit / Setup FWI.
To start using FWI Calculator...

Start entering sequential (day after day) weather data in the WEATHER DATA panel and click the "Calculate" button.

As easy as that! If you own a weather station that is permanently connected to a PC, consider running this software on the same machine and having it upload data automatically each day (see Edit / Setup FWI).


Version History

v11.6.5.118 BETA (15-04-2023)
Updated application to use OpenSSL-3. Now requires two replacement DLL files.. libcrypto-3.dll & libssl-3.dll (both are provided in the full installation package). Some minor changes to development analytics.

v11.6.4.117 BETA (15-04-2023)
Added FTP encryption type selection (quick fix).

v11.6.3.116 BETA (27-03-2023)
Changed some deployment functions (no longer compatible with XP or less - sorry!), and changed the error handling routines. Repaired a bug in the Forecast Retrieval system that affected European users.

v11.5.0.115 BETA (15-12-2020)
Added functionality for forecasting FWI Indices into the future.

v11.4.0.114 BETA (11-05-2020)
Fixed some minor errors in program.

v11.3.(1-9).113 BETA (21-04-2020)
Changed some of the statistics and webtags. Changed the format of the main FWI data file to give it more flexibility (it is backed up). You will need to choose your Front Page Chart Titles again (FWI Setup / Application Settings), and HTML Table Setup column headings (Internet / Web/File options). Allowed WX Stn units for humidity to allow for RH Decimal; they are still stored as RH % however.

v11.2.1.112 (05-04-2020)
A small data file can be created that POSTS automatically to the FWICalc website (see Application Settings in FWI Setup to enable); requires an internet connection. The data can be viewed in maps or tabular form from within the website. Some further exception handling routines invoked to try and protect against crashes. All data/configuration files are now written to the ProgramData folder (originally written to a virtual location from Windows Vista+); at first startup any original files are copied across, and the application is pointed at these new files.

v11.1.2.111 (18-03-2020)
Enabled "Check for Updates" from within application. This will take you to this webpage if an update is available. You must download the 32 bit Windows Installer Package (5.64Mb fwi_calc111.msi) to upgrade.

v11.1.1.110 (14-03-2020)
Allowed ssl (https) input files to be used. Two new dll files must be in the root directory of FWICalc.

v10.5.2.109 (27-03-2017)
Included a Windows version sensor, and tests for Windows 10 compatibility during setup.

v10.5.1.108 (21-03-2017)
Changed code that reads data input file to do some further cleaning of spaces and line-feeds to assist MeteoHub users.

v10.4.1.107 (11-05-2016)
Six critical data files can now be automatically backed up. Go to FWI Setup/Application Settings to select location to save.

v10.3.1.106 (24-02-2016)
Some minor changes required for Windows 10 compatibility.

v10.2.1.105 BETA (13-06-2015)
Minor changes required to previous BETA.

v10.0.0.104 BETA (31-10-2014)
Enhanced Fireboard adjustments. Allowed user to define danger thresholds for Angstrom, GFDI and FFDI indexes. This build will be reissued as Build 105 once it passes muster.

v10.0.0.104 (16-10-2014)
Some minor fixes and improvements.

v9.9.1.97 - 9.2.4.103 (1-06-2013)
Changes to way BKDI is calculated (modified Crane 1982 algorithm). Created Email Alarm system. FWICalc can now read weather data file every 15 minutes and use peak daily values in FFDI, GFDI and optionally in CBI, FMI and Angstyrom indexes. Have changed BKDI index so it now stores as a fractional number (displays as integer however), this creates more accurate calculations and conversions.

v8.8.1.96 (21-02-2013)
Removed some bugs notified in previous version. FWICalc can now open remote weather files (http, https, www).

v8.7.3.92-95 (07-02-2013)
Web table settings are now preserved with version update, however front-page grid will need to be revised if necessary.

v8.6.0.90-91 (Not Released)
Changed main window user interface. Corrected errors in GFDI and FFDI calculations, now takes into account seasonal variation of grass fuel load. Upgraded error logging system.

v8.4.1.87 - 89 (Not Released)
Rehashed how FDI (Aussie FWI) is calculated. Added FDI, Drought Factor and Byram-Keetch Drought Index.

v8.3.0.86 (11-01-2013)
Moved FWI Math and some file functions to DLL libraries. Parse.dat no longer shipped with product, now automatically created by DLL if missing.

v8.1.0.84 - 85 (30-12-2012)
Complete revamp of database file format. New fire indexes (Angstrom, FMI) and calculation of Australian Code Red index (from FWI). Fireboard now allows for 6 segment Code Red board, with segment colours selectable via the colour scheme dialog (ie. FWI, FWI Code Red, CBI & Angstrom). Main page window now allows for selection of shown indexes (date is still compulsory). ^fwitable^ now allows for selection and order of indexes plus more flexibility in formatting. Print routine also allows for selection and order of indexes. Multiple new webtags available. Strengthened file backup system.

v7.6.1. Builds 81 - 83 (01-12-2012)
All BETA releases with tweaking of ^fwitable^ Webtag format.

v7.6.0.80 (03-11-2012)
Included 2D Fireboard graphic design function. Import/Export now remembers most previous settings. Minor fixes.

v7.5.0.79 (06-08-2012)
Redesigned Import/Export feature to make it less memory intensive when used with large input files. Changed FTP Server setup procedure to prevent log-in failures with some servers. Extended FTP log to provide more detail information. Other minor changes. Found solution to errors caused by VWS data files not localising list or decimal separators.

v7.4.0.78 (26-05-2012)
Windspeed units/input can now be m/sec or ft/sec. Both VWS & Cumulus data files can now be directly imported into FWICalc. Numerous other adaptions and changes to take advantage of the new compiler functions.

v7.3.0.77 (27-02-2012)
Completely transferred application production to new compiler language. This version never released as always in TEST BETA.

v7.2.0.76 (14-01-2012)
Fire Danger Codes (FFDC, SFDC, GFDC) can now be displayed as kW/m² in both the main data grid and in web tables, and are now selectable in the Graphing Setup page as a data source (kW/m²). The Restart Button system now inserts all missing days at the end of the data file as Fudge Records. An information dialog is now available that shows general information & statistics of the FWI Data File. Fixed some minor bugs & general house-keeping.

v7.1.3.75 (07-01-2012)
Included CSV File Import function. Repaired bug that disallowed negative temperatures on some operating systems. Removed a few caution screens that were no longer required.

v7.1.2.74 (05-01-2012)
Fixed issue with time errors (12 vs 24 hour) on Windows 7 platform. Included CSV File Export function (import is still being designed). Removed some memory overhead. Fixed errors in Web File parse process (and increased speed). Improved Fudge feature (a little smarter). Front screen editing is now achieved by double-clicking data grid. Fixed other minor issues.

v7.01.73 (26-10-2011)
Maintenance upgrade. Fixed reported issues.

v7.00.72 (10-06-2011)
Added Forest Type selection in Environment setup. This enhances the accuracy of FFDC. Some minor bugs fixed.

v6.18.71 (28-05-2011)
Introduced a quick front-page method of restarting FWICalc after catastrophic failure (automatic data entry fails), will introduce a new SET point using last known data (FFMC, DMC, DC) up to 30 days old or introduce new startup values.

v6.17.70 (14-05-2011)
Fixed an issue with the calculation of the monthly CBI value. Further WebTags added for current year highs/lows. Messed with graphing package to create more robust 3D graphs.

v6.16.69 (3-05-2011)
Fixed error in FTP component causing freeze up if broadband connection fails during transfers. HTML Table Column headings can now be edited by the user & up to 100 rows of data permitted. Further WebTags added.

v6.15.68 (7-01-2011)
Incorporated automatic update function (see Check for Updates in Help menu).

v6.14.67 (6-01-2011)
Included setup function to account for winter ground snow at weather station. Also modified HTML Table function to allow for full expansion of table headings.

v6.13.66 (14-10-2010)
Error repaired that prevented temperature being written to parsed web files.

v6.12.65 (22-09-2010)
File fwiweb.xml is now produced irrespective of File Settings, so it can be uploaded using 3rd party FTP software .

v6.11.64 (7-08-2010)
Fixed error that prevented acceptance of comma in decimal number formats.

v6.10.63 (1-08-2010)
An error in the CBI recalculation process has been fixed.

v6.00.62 (4-07-2010)
Installed patches & fixes for Windows 7 compatibility, and repaired some errors in RAS (dialup modem) setup.

v6.00.61 (21-06-2010)
Patch installed to remedy "Can't find previous day data!" error in Windows 7 and some 64 bit system operating systems.

v6.00.60 (09-06-2010)
Revamped the setup process to make it more intuitive (hopefully). Fixed several minor program errors.

v5.23 Build 58+59 (31-05-2010)
Repaired some FTP issues inherent in previous versions. Configuration files are now portable, so running more than one instance of Application is now possible (multiple weather stations).

v5.22 Build 57 (24-05-2010)
Fixed minor bugs. Created new web tag ^parsetime^. Changed Installer to 32bit.

v5.22 Build 56 (05-12-2009)
Introduced HTML Help for XP, Vista Users. FTP Log file and Minimise to System Tray now available.

v5.21 Build 55 (29-11-2009)
Can now upload a preformatted XML file to your website, that in turn can be uplifted to the www.wilddata.org.nz website and utilised in Google Mapping services etc.

v5.2 Build 55 (26-11-2009)
Can now upload a preformatted XML file to your website, that in turn can be uplifted by this website and utilised in Google Mapping services etc.

v5.1 Build 54 (05-11-2009)
Database now revamped to future proof. Further graphing capabilities added including transparent GIF images.

v5.0 Build 53 (1-11-2009)
Fixed errors in CBI Danger analysis.

v5.0 Build 52 (29-10-2009)
Replaced graphing package, now can create & FTP dynamic graphs as required.

v5.0 Build 51 (19-10-2009)
Ressurrected program from ashes; have changed FTP system, included CBI calculations, more Table Options & removed some minor bugs.

v4.1 Build 50 (14-06-2007)
Included method of changing Fire Danger Rating colors (Edit/Fire Danger Color Scheme).

v4.1 Build 49 (04-05-2007)
ADSL/Broadband connection now selectable in RAS/FTP setup dialog.

v4.1 Build 48 (15-04-2007)
Fixed bug effecting HTML table units displayed.

v4.1 Build 47 (20-03-2007)
Fixed some user identified bugs. Enabled the "GRASS CURE TABLE" feature.

v4.1 Build 46 (23-05-2006)
Found a memory leak that needed patching, also reduced the CPU load during processing functions. Removed some redundant buttons. Added the "FUDGE" feature.

v4.1 Build 45 (19-05-2006)
Just some subtle improvements to the graphing package - can now change the colour of most graph elements, can now swap which series is shown in front (handy on area graphs), changed the graph print routine so you can choose printer & print properties, you can now show a red band on the graph which indicates high-extreme fire danger for the chosen indice.

v4.1 Build 44 (17-05-2006)
Wouldn't you know it as soon as I release the new version someone points out a bug. The ActiveX bug in the installer program has been remedied (I hope). I have also allowed for selectable delimiting characters in the Weather station input files (default is Line Feed).

v4.1 Build 43 (16-05-2006)
YES there has been a huge gap in the development time. That is because a cooked PC and corrupted backups meant I lost the original source code for the project. I have now rewritten, and reverse engineered the 37,000 lines of code used to create this application. It may look the same, but builds 1..42 have seen a dramatic change in the way it handles the algorithms and other routines. RAS & FTP procedures have been completely rehashed (made more simple I hope), multiple bugs fixed, unit of measurement selection added, hemisphere & country selection added, latitude & longitude now effect some indices, print feature is now enabled, the graphing package has been rewritten, plus a few other tweaks.

v4.0 (16-04-03)
Added "Start Minimised" checkbox on main entry form. This permits the application to start "off screen" which is useful if it is part of a series of applications running automatically on the host PC (such as in an automatic weather station situation).

v3.9 (31-03-03)
Added "Process Now" button to Web Options page to allow forcing of Data File processing irrespective of data already existing (use with caution).
Moved "Parse Now" button on Web Options page, and limited function to only parsing files. Data File is no longer processed.

v3.8 (28-03-03)
Added 43 new statistical tags to the parse file tag list (^sta...^).

v3.5 to v3.7 (05-01-03) (Don't ask)
Allowed for extra file in Parse file routine (now x4), but now very extendable.
Added Last Fire Danger Rating colour tags to parse file tag list for FF, SF & GF.
Streamlined save routines and extended capability of setup routines.
Added "Apply" buttons to Web Options & Graph pages to enable changes without leaving page.
Sorted out Environment Set/Use default value system.
Added "New" to file menu, and rehashed method of file creation.

v3.4 (02-01-03)
Corrected flaw in Display menu "year" routine.
Fully automated builtin version updater for versions 3.1+.
Slight changes to way display updates itself (no more added blank lines) .

v3.3 (23-12-02)
Corrected occassional errors on selecting data in grid.
Address data file directly for ALL values now. Save on change now automatic.
Changed graphing routine so date range or last record count can be used (limit 100 records displayed).
Changed web tags slightly. Only major change ^fwitoday^ becomes ^fwifwi^. This was because "todays" records may not be available at time of parsing so "last" record is displayed instead.
Added "Parse Now" button on Web/Options form. If "Input File" date is already present in current records the data WILL NOT be processed, however the "Parse File" WILL be parsed as normal. This prevents Total Rainfall being corrupted.
Added "Display" menu item. This allows various opitions on how many records to display in visual grid on base of main form. Year (eg. 2002) is also available.
Corrected graph component to accept 100 X-Axis values.
Corrected fault in parse file routine.

v3.2 (01-12-02)
Changed some terrible gramatical errors (whoops).
Working on PRINT routine, harder than expected, unfinished.
Provided a routine to automatically upgrade version non-compatible data files if required.
Repaired fault in "Save As" routine.
"Print" routine has been disabled in this version whilst I rewrite the code.

v3.1 (29-11-02)
Included algorithms for Forest, Scrubland and Grassland fire intensity (FI) and danger codes (FFDC,SFDC,GFDC). Environment input panel added to Main Page.
Updated parse tags to reflect changes to available danger codes (^fwiffdc^,^fwisfdc^,^fwigfdc^) .
Minor help system fixes.
Revamped & simplified fwicalc.ini file creation process.
Realigned, centred text, buttons, edit boxes etc (neatened the thing up).

v3.0 (26-11-02)
Incorporated FTP & Dial-up Connection procedures.
Incorporated 96bit encryption routine for password storage.
Revised data file storage system from ascii text based to binary random access system. Required creating two data files per profile (*.fwi = fwi data, *.fws = profile setup).
Stress tested application.
Simplified date format checking routines & error pickup.
Repaired StringGrid TopRow bug.
Repaired Fire Danger Rating bug.
Repaired FTP timer bug.

v2.1 (19-11-02)
Added 2nd series overlay procedure to graphing routines.
Included automatic version updater for data files.

v2.0 (17-11-02)
Designed and incorporated graphing capability.

v1.1 (26-10-02)
Added file parse and HTML table routines.
Created Windows help file for application.

v1.0 (13-10-02)
First Beta version written. FWI calculations only.


Fire Weather

FIRE DANGER RATING

A fire danger rating system should supply an objective answer to the question: 'What is the probability of a fire starting, spreading and doing damage today?' It enables fire managers to properly assess the levels of preparedness and the suppression resources needed to keep fire losses to a minimum. A fire danger rating system measures the variable elements which cause day to day changes in fire risk, and interprets the information gained. The information is used to:

* define the fire season
* determine appropriate fire prevention measures
* assess the likelihood of fire occurring
* determine fire suppression response and resources
* inform the public
* make decisions to close areas at high risk
* issue or cancel burn permits
* plan and conduct controlled burns

The Chandler Burning Index (CBI), Angstrom Index and Fire Moisture Index (FMI) are other Fire Rating Systems developed in North America and Scandinavia.

FIRE WEATHER INDEX (FWI)

The Fire Weather Index (FWI) System is the first part of the Canadian Forest Fire Danger Rating System (CFFDRS) introduced into New Zealand in 1980. It has proved to be a suitable fire danger rating system for this country. The FWI was evaluated for several seasons before it was introduced for the 1980-81 fire season.

The FWI is based on weather readings taken at noon standard time and rates fire danger at the mid afternoon peak from 2:00 – 4:00 pm. Weather readings required are:

* Air temperature (in the shade)
* Relative Humidity (in the shade)
* Wind speed (at 10 metres above ground level for an average over 10 minutes)
* Rainfall (For the previous 24 hours)

The Fire Weather Index has six components:

Three Fuel Moisture Codes

1. Fine Fuel Moisture Code
2. Duff Moisture Code
3. Drought Code

Three Fire Behaviour Indices

1. Initial Spread index
2. Build Up Index
3. Fire Weather Index

FWI CALCULATIONS

The fire weather index calculation structure.

Interpretation of FWI Codes and Indices

To interpret the system the three fuel moisture codes and the three behaviour indices need to be understood. Each code and index is a numerical rating related to likely fire behaviour. The scales start at zero, and except for the Fine Fuel Moisture Code which has a maximum of 99, all are open-ended. Low ratings indicate high moisture content, and ratings rise as moisture content decreases. Ratings rise as fire weather becomes more severe.

Fuel Moisture Codes

The FWI System evaluates fuel moisture content and relative fire behaviour using past and present weather effects on ground level fuels. The moisture codes reflect the nett effects of daily moisture gains and losses.

Fine Fuel Moisture Code – FFMC

This is a numerical rating of the moisture content of surface litter and other cured fine fuels. It shows the relative ease of ignition and flammability of fine fuels. The moisture content of fine fuels is very sensitive to the weather. Even a day of rain, or of fine and windy weather, will significantly affect the FFMC rating. The system uses a time lag of two-thirds of a day to accurately measure the moisture content in fine fuels. The FFMC rating is on a scale of 0 to 99. Any figure above 70 is high, and above 90 is extreme.

Duff Moisture Code – DMC

DMC is a numerical rating of the average moisture content of loosely compacted organic layers of moderate depth. The code indicates the depth that fire will burn in moderate duff layers and medium size woody material. Duff layers take longer than surface fuels to dry out but weather conditions over the past couple of weeks will significantly affect the DMC. The system applies a time lag of 12 days to calculate the DMC. A DMC rating of more than 30 is dry, and above 40 indicates that intensive burning will occur in the duff and medium fuels. Burning off operations should not be carried out when the DMC rating is above 40.

Drought Code – DC

The DC is a numerical rating of the moisture content of deep, compact, organic layers. It is a useful indicator of seasonal drought and shows the likelihood of fire involving the deep duff layers and large logs. A long period of dry weather (the system uses 52 days) is needed to dry out these fuels and affect the Drought Code. A DC rating of 200 is high, and 300 or more is extreme indicating that fire will involve deep sub-surface and heavy fuels. Burning off should not be permitted when the DC rating is above 300.

Fire Behaviour Indices

The three behaviour indices are relative to the fuel moisture content. They indicate what a fire is likely to do. The lower the moisture content, the higher the Fuel Moisture Codes, and the higher the Fire Behaviour Indices – and the more active the fire will be.

Initial Spread Index – ISI

This indicates the rate fire will spread in its early stages. It is calculated from the FFMC rating and the wind factor.

The open-ended ISI scale starts at zero and a rating of 10 indicates high rate of spread shortly after ignition. A rating of 16 or more indicates extremely rapid rate of spread.

Build -Up Index – BUI

This index shows the amount of fuel available for combustion, indicating how the fire will develop after initial spread. It is calculated from the Duff Moisture Code and the Drought Code.

The BUI scale starts at zero and is open-ended. A rating above 40 is high, above 60 is extreme.

Fire Weather index - FWI

Information from the ISI and BUI is combined to provide a numerical rating of fire intensity – the Fire Weather Index. The FWI indicates the likely intensity of a fire.

The FWI is divided into four fire danger classes:

Low 0 – 7 Medium 8 – 16 High l7 – 31 Extreme 32+

The system ratings for High and Extreme are:

CLASS | FFMC | DMC | DC | ISI | BUI | FWI
HIGH | 70-90 | 30-40 | 200-300 | 10-16 | 40-60 | 17-31
EXTREME | 90+ | 40+ | 300+ | 16+ | 60+ | 32+

FIRE DANGER CODES (FFDC, SFDC, GFDC)

The FWI is further refined into indices that represent the Fire Intensity likely in the three vegetation types (Forest, Scrub & Grasses). These three codes are divided into five fire danger classes (Low, Moderate, High, Very high & Extreme) and calculate the fire intensity in kilowatts per square metre (kw/m²).
LOW | MODERATE | HIGH | VERY HIGH | EXTREME
0..10kw/m² | 11-500kw/m² | 501-2000kw/m² | 2001-4000kw/m² | 4000+kw/m²

FFDC (Forest Fire Danger Code)
Based on predicted generated "fire intensity (kw/m²)" in highly flammable forest type vegetation (conifer, eucalypt). This code denotes how difficult it would be to control a fire in this vegetation type should one start.

SFDC (Scrub Fire Danger Code)
Based on predicted generated "fire intensity (kw/m²)" in flammable scrub type vegetation (tea tree, broom, gorse, manuka). This code denotes how difficult it would be to control a fire in this vegetation type should one start.

GFDC (Grass Fire Danger Code)
Based on predicted generated "fire intensity (kw/m²)" in grass type vegetation (dry grass, tussock). This code denotes how difficult it would be to control a fire in this vegetation type should one start.

Interpreting The Information

1. The moisture codes (FFMC, DMC and DC) indicate what fuels will be involved and their ease of ignition. This will vary during the season. Each code must be considered to assess potential burning characteristics.

Example: 1

FFMC = 86 DMC = 25 DC = 120

These ratings indicate:

* fine fuels will ignite easily
* fire will involve the light fuels and to a limited extent the medium and duff layer fuels
* fire will not become deep seated

Example: 2

FFMC = 94 DMC = 45 DC = 320

These ratings indicate:

* fine fuels will ignite extremely easily
* fire will involve all fuel levels
* extreme fire behaviour is likely

2. The fire behaviour indices (ISI, BUI, FWI) indicate the likely initial spread, total fuel availability, and potential intensity.

Example: 3

ISI = 5 BUI = 120 FWI = 21

These ratings indicate:

* slow initial spread
* high volume of fuel available for combutstion
* potentially high level of fire intensity

In general terms, a hot, but slow moving fire. The type of fire likely to occur on a windless day in mid-summer after a long dry period.

Example: 4

ISI = 25 BUI = 10 FWI = 21

Note the same FWI as example 3.

These ratings indicate:

* extremely fast initial spread
* low volume of fuel available for combustion
* potentially high level of intensity

In general, a fast moving fire involving fine fuels only.

Likely to be either:

1. a fire in early spring of late autumn when medium and heavy fuels have a moisture content and winds are strong, or
2. a fire after rain on a day with strong winds


Other Fire Weather Indexes

Return to Fire Danger Rating.

CHANDLER BURNING INDEX (CBI)

The Chandler Burning Index (CBI) uses the air temperature and relative humidity to calculate a numerical index of fire danger. That number is then equated to the Fire Danger severity of either extreme, very high, high, moderate, or low. It's based solely on weather conditions, with no adjustment for fuel moisture.

In FWICalc daily CBI ratings are calculated, and an averaged 30 day historical rating is also calculated.

Daily CBI = (0.0167 * (104.5 - (1.373 * H) + (0.54 * T)) * (124 * Power(10,(-0.0142 * H))))

In the United States the National Weather Service calculates a 30 day Chandler Burning Index based on forecasted weather conditions for the month.

Monthly = (((110 - 1.373*H) - 0.54 * (10.20 - T)) * (124 * power(10,(-0.0142*H))))/60

LOW (Green) <50

Fuels do not ignite readily from small firebrands although a more intense heat source, such as lightning, may start fires in duff or punky wood. Fires in open cured grasslands may burn freely a few hours after rain, but woods fires spread slowly by creeping or smoldering, and burn in irregular fingers. There is little danger of spotting.

MODERATE (Blue) 50 - 75

Fires can start from most accidental causes but, with the exception of lightning fires in some areas, the number of starts is generally low. Fires in open cured grasslands will burn briskly and spread rapidly on windy days. Timber fires spread slowly to moderately fast. The average fire is of moderate intensity, although heavy concentrations of fuel, especially draped fuel, may burn hot. Short-distance spotting may occur, but is not persistent. Fires are not likely to become serious and control is relatively easy.

HIGH (Yellow) >75 - 90

- All fine dead fuels ignite readily and fires start easily from most causes. Unattended brush and campfires are likely to escape. Fires spread rapidly and short-distance spotting is common. High-intensity burning may develop on slopes or in concentrations of fine fuels. Fires may become serious and their control difficult unless they are attacked successfully while small.

VERY HIGH (Orange) >90 - <97.5

Fires start easily from all causes and, immediately after ignition, spread rapidly and increase quickly in intensity. Spot fires are a constant danger. Fires burning in light fuels may quickly develop high intensity characteristics such as long-distance spotting and fire whirlwinds when they burn into heavier fuels.

EXTREME (Red) 97.5+

Fires start quickly, spread furiously, and burn intensely. All fires are potentially serious. Development into high intensity burning will usually be faster and occur from smaller fires than in the very high fire danger class. Direct attack is rarely possible and may be dangerous except immediately after ignition. Fires that develop headway in heavy slash or in conifer stands may be unmanageable while the extreme burning condition lasts. Under these conditions the only effective and safe control action is on the flanks until the weather changes or the fuel supply lessens.

ANGSTROM INDEX (Angstrom)

The Angtstrom Index (Angstrom) is used primarily in Sweden, it uses the air temperature and relative humidity to calculate a numerical index of fire danger. That number is then equated to the Fire Danger severity of either Extreme, High, Moderate, or Low. It's based solely on weather conditions, with no adjustment for fuel moisture. The lower the number, the higher the fire risk.

Angstrom Index = (H/ 20)+ ((29 ?T) /10)

where H = Relative Humidity as % (0-100)
and T = Temperature in Degrees Celcius.

> 4.0 Fire occurrence unlikely
4.0 – 2.5 Fire conditions unfavourable
2.5 – 2.0 Fire conditions favourable
< 2.0 Fire occurrence very likely

FUEL MOISTURE INDEX (FMI)

The Fuel Moisture Index (FMI) is very basic but showed in a study presented by its developer Sharpes a very good
performance in comparison with other fuel moisture indices. It uses the air temperature and relative humidity to calculate a numerical index of fire danger. No fire danger classification exists for this index. The lower the number, the higher the fire risk.

FMI = 10 - 0.25 (T - H)

where H = Relative Humidity as % (0-100)
and T = Temperature in Degrees Celcius.

FOREST FIRE DANGER INDEX (FFDI)

The Forest Fire Danger Index (FFDI) was developed in the 1960s by CSIRO scientist A.G. McArthur to measure the degree of danger of fire in Australian forests. The index combines a record of dryness, based on rainfall and evaporation, with meteorological variables for windspeed, temperature and humidity.

A FFDI of between 12 and 25 on the index is considered a "high" degree of danger, while a day having a danger rating of over 50 is considered an "Severe" fire danger rating. Above this level in 2010 a distinction was made between Forest and Grassland fuels. For Forest fuels, an FDI over 75 is categorised as "Extreme" and over 100 as "Catastrophic" (In Victoria the alternate rating name of "Code Red" has been adopted). For Grassland Fuels the threshold FDI values for the Extreme and Catastrophic Ratings was increased to 100 and 150 respectively.

GRASSLAND FIRE DANGER INDEX (GFDI)

The Grassland Fire Danger Index (GFDI) is calculated from air temperature, relative humidity and wind speed. It also varies according to the greeness or curing of the pasture. It provides a figure directly related to the chances of a fire starting, its rate of spread, difficulty of control and the amount of damage it will do. The formula used in FWICalc is generally for Australian conditions, but can be adapted by varying the environment variables for any part of the world.

THE BYRAM-KEETCH DROUGHT INDEX (BKDI) & DROUGHT FACTOR (DF)

The Byram-Keetch Drought Index (BKDI) attempts to measure the amount of precipitation necessary to return the soil to full field capacity. It is a closed system ranging from 0 to 203 units (0 - 800 imperial) and represents a moisture regime from 0 to 203 millimetres (0 - 8 inches) of water through the soil layer. At 203 millimetres (8in) of water, the KBDI assumes saturation. Zero is the point of no moisture deficiency and 203 (800) is the maximum drought that is possible. At any point along the scale, the index number indicates the amount of net rainfall that is required to reduce the index to zero, or saturation.

The inputs for KBDI are weather station latitude, mean annual precipitation, maximum dry bulb temperature, and the last 24 hours of rainfall. Reduction in drought occurs only when rainfall exceeds 5mm (0.20 inch) (called net rainfall).

Drought Factor (DF): A key component of the FFDI is the modelling of the dryness of the fuel. This is expressed by the Drought Factor (DF), which ranges from 0 to 10. If this is multiplied by 10 and called a percent, it gives the percentage of fine fuel that would be removed by a fire under the current conditions.

The DF is based on recent rainfall and on the Byram-Keetch Drought Index (BKDI).


Fire Danger Color Scheme

Menu Item - Edit / Fire Danger Color Scheme

FIRE DANGER COLOR SCHEME

Some countries of the world use different colors to represent visually the five levels of fire danger (ie. Low, Moderate, High, Very High and Extreme). This form allows you to change the color scheme used in FWI Calculator to any color of your choice, or select from two default schemes available. You may also change the text used to describe these danger levels (this will be used on the Fire Danger Board graphic and in webtag - long danger codes for FWI, FDI, CBI, Angstrom Index, GFDC, SFDC & FFDC.

FWICalc uses these to represent the fire danger codes associated with FWI, FDI, CBI, Angstrom Index, FFDC, SFDC & GFDC. They are refected in the WebTags associated with Danger Code Colours, and on the application interface.

Select whether to Edit... Standard Danger Codes or the Code red Danger Codes (used in some States of Australia).

Set Scheme 1 : Some southern hemisphere countries (Australia, NZ etc).
Set Scheme 2 : Some northern hemisphere countries (Canada etc).

The colors used in the Chandler Burning Index (CBI) and Code Red FWI Index are fixed to the accepted standard (Scheme 1).

Colors can be individually changed by clicking on the color patch and choosing a new color from the palette.

Edit danger code text by entering text in the appropriate edit box. Note: try and keep short, otherwise the Fire Danger Board graphic will overlap text.

To save your settings click the OK button.


Grass Cure Calculation

Determining the amount of curing (dryness) of grasses is a difficult process, but necessary to achieve the most realistic results for grassland fire behaviour indexes.
  • It is recommended that observers study the grasslands in their climatic zone at close quarters at a number of individual sites.
  • Determine the overall colour of the grassland and check for seed head development. Match these with the appropriate description in the guide below and select the "percentage cured" figure.
  • Ensure that the selected figure is appropriate to other grassland species within the district by carrying out observations at a number of other locations.
  • The "percentage cured" may now be used in the FWI Calc model.
Table : Various Stages of Curing (Barber 1966)
% Cured | Colour | Physiological Change | Example
0 | Green | From the beginning of growth to commencement of seed head development |
10 | Green | Seed heads formed and flowering |
20 | Yellowish-Green | Seed heads maturing and seed dropping |
30 | Yellowish-Green | Most seed heads mature and seed dropping |
40 | Yellow-Green | Most seed heads mature and seed dropping |
50-60 | Straw - odd patch of green and greenish-yellow | Up to ½ of all stems have dropped their seed, some areas may be fully cured, others may be quite green |
70-80 | Straw - very little green showing anywhere | Most seed heads have dropped their seed, lower third of stalk may be green |
90 | Straw - odd green gully | Essentially all seed has dropped, odd individual stalk may be green |
100 | Bleached | All stalks fully cured, seed heads and stalks break easily |


Grass Cure Table

Menu Item - Edit / FWI Setup
See INITIAL FWI / ENVIRONMENT section

GRASS CURE TABLE

See Grass Cure Calculation to view information on determining grassland cure percentages from field observations.

If you are aware that the cured grass percentage remains fairly constant on a monthly basis, year to year, you may enter a constant for each month of the year. Enter values that represent the estimated percentage curing values as they may be on the 1st of each month. The range of values must be 0-100%. The application will adjust the curing values in a linear sweep on a day to day basis based on the range difference from month to month. Click Close to accept the values,

Suggest - Clicking this button will suggest cure values based on your Hemisphere setting. Generally summer values will be fully cured (100%) while winter values will be lower.

Restore - Clicking this button will restore cure values to their previously saved values prior to opening this dialog.

On the FWI Setup window there is a "Use Cure Table" checkbox in the Environment settings section, check this box to use your curing table values.

To save your settings click the OK button.


Danger Code Thresholds

Menu Item - Edit / Danger Code Thresholds

Some danger code (Low, Moderate, High etc) value thresholds can vary between regions/countries. Notably FWI seems to be the most effected. Users can choose the threshold at which danger codes are activated, and whether a four, five or six tier system is used.

Danger Codes are calculated for FWI, CBI, Angstrom, GFDI and FFDI with "less than / greater than" comparisons being made on the value presented. To prevent a code (eg. Very High) from showing make it's test value equal to the value below (eg. High), and it will be bypassed.

The Default buttons will reapply normal accepted values for FWI, CBI, Angstrom, GFDI and FFDI.

Note: "Code Red" in some regions equates to "Catastrophic".

To save your settings click the OK button.


FWI Calibration

The hemisphere, longitude and latitude are used to calibrate FWI Calculator in terms of expected monthly "Daylight" ratios for the regions global position, and some expected leaf & duff moisture constants. These are used in calculations of Drought Code (DC) and DUFF MOISTURE CONTENT (DMC). Unfortunately it doesn't take into account terrain, such as mountains shading your location, however this is somewhat compensated for by the collected "micro" weather data.


Manually Entering Weather Data

The weather data you enter into FWI Calculator should be obtained from a reliable and accurate weather station and be read at about 12:00hrs daily (Standard Time). It is very important the rainfall you enter be for the full period of 24hrs previous to the reading time (ie. 12:00hrs yesterday to 12:00hrs today).

FWI Calculator will only accept weather data if...

1) An INITIAL VALUE data record is the last record in the data file
OR
the previous day's weather data is present.

2) The values entered in the WEATHER section is valid.

DISPLAY
The chart on the base of the main page displays columns of data as chosen in the FWI Setup dialog. The titles will automaticaaly word-wrap and resize to the largest content. Scrollbars will automatically appear as required. The Date field is always the first column. The Display Menu Item (or right-click on data grid) gives you various options that select how many records are displayed in the chart (All Records, Last ##, First ##, Year, Fudged Records). Be very careful if you choose the "All Records" option as the application may freeze or create errors if the file is too large as memory usage could be extreme. We recommend using Display Last 30 to minimise memory over use!

WEATHER DATA
Enter your data in the edit boxes in the WEATHER DATA panel. Date, Temperature (ºC or ºF), Humidity (%), Windspeed (km/hr, mph, m/sec or ft/sec) & Rainfall (mm or inches - past 24hr period) are required.

Once you have entered this data click the "Calculate" button in the CALC panel. If there is any problem with your data a message box will tell you so, otherwise the panel will be updated and the record table will have your new data added to it.

Note: FWI Calculator displays the forecast FWI Indices for later in that day (14:00hrs-16:00hrs).

You can overwrite pre-existing data by double-clicking on the data entry in the data grid, or by entering the same date as that entry in WEATHER DATA edit boxes. Once you have entered this data click the "Calculate" button in the CALC panel.


Editing Existing Entries

You have three choices...

1) To edit SET Initial Values use Edit/FWI Setup to replace the very first occurrence,
2) To edit existing weather data, you may enter WEATHER DATA with the same date and click the "Calculate" button. All subsequent data will be recalculated.
3) Double-click on the entry in the record table you wish to edit. The existing data will written to the WEATHER DATA panel where it can be edited. Click the "Calculate" button. All subsequent data will be recalculated. Fudge Data can also be edited this way.


Adjust Primary Index Values

Chart Menu Item - Adjust Primary Index Values

From time to time it may be necessary to adjust the Primary Index Values (FFMC, DMC, DC, BKDI) of a database record. (eg. so the data realigns with a official FWI station in your region).

To edit a data record, right-click the entry on the frontpage chart, and select Adjust Primary Index Values. A dialog will open displaying the current data for FFMC, DMC, DC and BKDI. You may adjust the values as required.

Locked values will be highlighted orange in colour on the frontpage chart, and the values will be prefaced with "*".

Click Save to alter the database. You will be asked whether you want to overwrite the data. You will next be asked whether you want the database recalculated (if you answer Yes, it will be recalculated from the point of the adjusted data forward).

If you want to unlock values, right-click on them again, select Adjust Primary Index Values, and uncheck the Lock Values checkbox, then click Save - the values will be recalculated using available data.

Note : This primary data will effect ISI, BUI, FWI, DF, FFDI, GFDI indexes. Other indexes calculated using weather data directly will be uneffected (CBI, FMI, Angstrom).


Adjust Weather Data Values

Chart Menu Item - Adjust Weather Data Values

From time to time it may be necessary to adjust the Weather Data Values (Temperature, Humidity, Windspeed, Rainfall, Max Temp, Humidity and Windspeed @ Max Temp. Time, Max Windspeed, and Low Humidity) of a database record. You can also edit weather data into a Fudge Record.

To edit a data record, right-click the entry on the frontpage chart, and select Adjust Weather Data Values. A dialog will open displaying the current weather data for that day. You may adjust the values as required.

If FWICalc is not reading weather data every 15 minutes then Peak / Max / Min data values will not be available. You can however edit them by clicking on the Checkbox indicated - NOTE: YOU MUST EDIT ALL PEAK/MAX/MIN VALUES! Clicking the Null ALL button will remove the Peak / Max / Min values.

Click Save to alter the database. You will be asked whether you want to overwrite the data. You will next be asked whether you want the database recalculated (if you answer Yes, it will be recalculated from the point of the adjusted data forward).

Note : This weather data will effect all indexes.


Fudged Records

USE THIS FEATURE WITH CAUTION

Should automated uploads from a weather station data file stop for some reason (eg. wx stn software crash) enabling this feature allows FWI Calculator to automatically insert correctly dated data fields that carry on the last known FFMC, DMC, DC & BKDI values.

In the past FWI Calculator just stopped and that was that, which I have discovered to be a real agony. With Fudge enabled FWI Calculator will continue inserting these dummy fields until a legitimate weather station input file becomes available again (eg. your wx stn software is rebooted).

The obvious caution is if you don't notice it, it could continue for some time (forever). To enable you to find and correct these "fudged" records quickly Choose Display/Fudged Records on the menu bar, only "fudged" records will be shown. You may edit these as normal to insert the correct data for that day/days. If these records go on for too long, your FWI Indices could become meaningless. After a long period of Fudged records it could take 10-30 days before values stabilise again!

If you don't use this feature once FWI Calculator stops you'll need to insert in ALL the missed days up until the present, use the [image] Restart button on the Main Page to do this. Remember to update your Total Rainfall value (if used) in the Settings page, otherwise you could get a deluge of rain on that first day.


File Functions

Saving your data
When you exit the application, or the Application creates new records, or you change something the new data is automatically saved.

Note: as FWICalc is designed to standalone, and run 24/7 there should be little need to save or open files. FWICalc uses "default.fwi" as its default database, you may SaveAs a different name if required, or Open someone elses FWI data file. FWI data files are version dependant.

Import CSV File

FWICalc can import data to its main database from either a Standard Data File (CSV format) created by the user, or can upload data files created by either VWS or Cumulus weather software.

The Standard Data File is a "Comma Separated Value" file (CSV) can be uploaded to FWICalc. The CSV file must contain data in the following order per line... Date (in the same format as FWICalc), Temperature, Humidity, Wind Speed, Daily Rainfall and optionally Peak Temperature. The values can be separated by commas or semi-colons (this will depend on your countries decimal protocols). FWICalc will automatically create a backup file of your original data (eg. fwi_bup3.fwi), this will be saved in the installation folder of FWICalc (eg. C:\program files\FWI).

FWICalc will re-calculate all FWI values in the database after the import is complete.

1) Choose a valid CSV, VWS (eg. dbase.csv) or Cumulus (eg. jan12log.txt) Data File.

2) Choose the type of file to be uploaded (Standard, VWS, Cumulus). Note: If you choose incorrectly corrupted data may be uploaded!

3) Select whether original weather data will be retained or not. The default is un-checked ie. Overwrite existing data!

4) Select whether 1st row of CSV File contains titles.

5) Select whether you want to import Peak Temperature Values. 6) Select whether to apply calibration adjustments to incoming values.

7) Click the Import button. Note: this can be a lengthy process. CSV file data will be checked (date ranges, data ranges etc), and inserted into the database.

Export CSV File

You can export all or part of the FWI data file as a "Comma Separated Value" file (CSV). This is useful if you wish to use the data in spreadsheet applications (eg. MS Excel). In the dialog, choose whether you need column titles, whether to export all data or just a date range, and whether you wish to use semi-colons as the separator character (some of Europe). When you click the Export button you will asked to choose a file name.

Information

Opens a dialog displaying information and statistics of the FWI Data File. If you wish to insert your own text or edit information before printing select the Allow Edit checkbox. Right-clicking on the information window will open the general editing menu (Copy, Cut, Paste Select All etc).

Recalculate Database : This function will recalcul;ate ALL values and data in the database based on the current Initial Values, Settings and Environment variables. Use with caution!


Web / File Options

Internet / File Options

See also .. HTML Table Options

Menu Item - Internet / Web / File Options

FWI CALCULATOR is capable of "parsing" up to 4 selected files to include FWI type data etc. Parsing means the application reads through the file/s progressively replacing "control tags" with the required data then outputing the file to a new file.

PARSE FILES

Input Files: These files will basically be a text or HTML style file containing a version of the final (output) files you wish to produce. They should contain "parse tags", as required, which will be replaced with the specified data etc. A drop down list contains all the current parse tags available (eg. ^fwifwi^); you may choose a tag in this list then click the [image] button to copy them to the Windows clipboard.

The file must be an ascii/text file and can be named anything. Browse to them with the [image] button. View/Edit these files with the [image] button.

Example...

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>My Fire Weather Page</title>
<meta name="description" content="FWI Data for Arthur's Pass, New Zealand">
<meta name="keywords" content="fire,fwi,arthur's pass">
<style type="text/css">
.class001 {font-size: 10pt;}
</style>
</head>
<body bgcolor="#ffffff" text="#000000" link="#0000ff" vlink="#800080">

<p>The following is FWI Data for the ^fwistation^ weather station.</p>

<p>Last Updated: ^fwitime^</p>
^fwitable^
</body>
</html>

All the ^fwi...^, ^sta...^ or ^unit...^ tags are the special parse tags required by FWI CALCULATOR. A list follows...

Data Tags
1) ^fwifwi^ - Last FWI
2) ^fwibui^ - Last BUI
3) ^fwiisi^ - Last ISI
4) ^fwidc^ - Last FWI DC
5) ^fwidmc^ - Last DMC
6) ^fwiffmc^ - Last FFMC
7) ^fwicbi^ - Last Chandler Burning Index
8) ^fwicbimon^ - Monthly Chandler Burning Index
9) ^fwiang^ - Last Angstrom Index
10) ^fwifmi^ - Last FMI
11) ^fwiffdi^ - Last FFDI
12) ^fwigfdi^ - Last GFDI
13) ^fwidf^ - Last Drought Factor
14) ^fwibkdi^ - Last BKDI Metric
15) ^fwibkdiimp^ - Last BKDI Imperial
16) ^fwiffm^ - Last Forest Fuel Moisture
17) ^fwiffh^ - Last Forest Flame Height
18) ^fwifsd^ - Last Forest Spotting Distance
19) ^fwifros^ - Last Forest Rate Of Spread
20) ^fwiggm^ - Last Grass Fuel Moisture
21) ^fwigros^ - Last Grass Rate of Spread
22) ^fwidate^ - Last Date
23) ^fwitemp^ - Last Temperature
24) ^fwihumid^ - Last Humidity
25) ^fwiwind^ - Last Wind Speed
26) ^fwirain^ - Last Rainfall Amount
27) ^fwipeaktemptime^ - Last Peak Temperature Time
28) ^fwipeakwindtime^ - Last Peak Wind Time
29) ^fwipeaklowhumidtime - Last Peak Low Humid Time
30) ^fwipeaktemp^ - Last Peak Temperature
31) ^fwipeakhumid^ - Last Peak Humidity
32) ^fwipeakwind^ - Last Peak Wind Speed
33) ^fwipeaklowhumid^ - Last Peak Low Humid
34) ^fwihemis^ - Weather Station Hemisphere
35) ^fwicountry^ - Weather Station Country
36) ^fwistation^ - Weather Station Name
37) ^fwiheight^ - Weather Station Altitude
38) ^fwilong^ - Weather Station Longitude
39) ^fwilat^ - Weather Station Latitude
40) ^fwitime^ - Computer Time / Date
41) ^fwigfdc^ - Last Grassland Fire Danger Code
42) ^fwisfdc^ - Last Scrubland Fire Danger Code
43) ^fwiffdc^ - Last Forest Fire Danger Code
44) ^fwigfdcl^ - Long Grassland Fire Danger Code
45) ^fwisfdcl^ - Long Scrubland Fire Danger Code
46) ^fwiffdcl^ - Long Forest Fire Danger Code
47) ^fwigfdckw^ - Last Grassland Fire Intensity kW
48) ^fwisfdckw^ - Last Scrubland Fire Intensity kW
49) ^fwiffdckw^ - Last Forest Fire Intensity kW
50) ^fwifwidc^ - Last FWI Fire Danger Code
51) ^fwifwidcl^ - Last FWI Long Fire Danger Code
52) ^fwiffdidc^ - Last FFDI Fire Danger Code
53) ^fwiffdidcl^ - Last FFDI Long Fire Danger Code
54) ^fwigfdidc^ - Last GFDI Fire Danger Code
55) ^fwigfdidcl^ - Last GFDI Long Fire Danger Code
56) ^fwicbidc^ - Last CBI Danger Code
57) ^fwicbidcl^ - Last CBI Long Danger Code
58) ^fwicbimondc^ - Monthly CBI Danger Code
59) ^fwiangdc^ - Last Angstrom Danger Code
60) ^fwiangdcl^ - Last Angstrom Long Danger Code
61) ^fwibkdidc^ - Last BKDI Drought Code
62) ^fwifors^ - Forest Slope Setting
63) ^fwifort^ - Forest Type Setting
64) ^fwiforfl^ - Forest Fuel Load
65) ^fwiforar^ - Average Annual Rainfall
66) ^fwiscrs^ - Scrubland Slope Setting
67) ^fwiscrh^ - Srubland Height Setting
68) ^fwigras^ - Grassland Slope Setting
69) ^fwigrac^ - Grassland Curing Setting
70) ^fwigrafl^ - Grassland Fuel Load
71) ^fwiffcol^ - Forest Fire Danger Web Colour
72) ^fwisfcol^ - Scrubland Fire danger Web Colour
73) ^fwigfcol^ - Grassland Fire Danger Web Colour
74) ^fwifwicol^ - FWI Fire Danger Web Colour
75) ^fwiffdicol^ - FFDI Fire Danger Web Colour
76) ^fwigfdicol^ - GFDI Fire Danger Web Colour
77) ^fwicbicol^ - Last CBI Web Colour
78) ^fwicbimoncol^ - Monthly CBI Web Colour
79) ^fwiangcol^ - Last Angstrom Web Colour
Statistic Tags
80) ^stadrou^ - Number of drought days
81) ^stahtemp^ - High temperature
82) ^stahtempd^ - High temperature date
83) ^stahhumid^ - High humidity
84) ^stahhumidd^ - High humidity date
85) ^stahwind^ - High wind speed
86) ^stahwindd^ - High wind speed date
87) ^stahrain^ - High rainfall
88) ^stahraind^ - High rainfall date
89) ^stahpeaktemp^ - High Peak Temp
90) ^stahpeaktempdt^ - High Peak Temp Date/Time
91) ^stahpeakwind^ - High Peak Wind
92) ^stahpeakwinddt^ - High Peak Wind Date/Time
93) ^stahffmc^ - High FFMC
94) ^stahffmcd^ - High FFMC date
95) ^stahdmc^ - High DMC
96) ^stahdmcd^ - High DMC date
97) ^stahdc^ - High DC
98) ^stahdcd^ - High DC date
99) ^stahisi^ - High ISI
100) ^stahisid^ - High ISI date
101) ^stahbui^ - High BUI
102) ^stahbuid^ - High BUI date
103) ^stahfwi^ - High FWI
104) ^stahfwid^ - High FWI date
105) ^stahcbi^ - High CBI
106) ^stahcbid^ - High CBI date
107) ^stahang^ - High Angstrom
108) ^stahangd^ - High Angstrom date
109) ^stahfmi^ - High FMI
110) ^stahfmid^ - High FMI date
111) ^stahffdi^ - High FFDI^
112) ^stahffdid^ - High FFDI date
113) ^stahgfdi^ - High GFDI
114) ^stahgfdid^ - High GFDI date
115) ^stahdf^ - High Drought Factor
116) ^stahdfd^ - High Drought Factor date
117) ^stahbkdi^ - High BKDI
118) ^stahbkdid^ - High BKDI date
119) ^staltemp^ - Low temperature
120) ^staltempd^ - Low temperature date
121) ^stalhumid^ - Low humidity
122) ^stalhumidd^ - Low humidity date
123) ^stalwind^ - Low wind speed
124) ^stalwindd^ - Low wind speed date
125) ^stalrain^ - Low rainfall
126) ^stalraind^ - Low rainfall date
127) ^stalpeaklowhumid^ - Peak Low Humid
128) ^stalpeaklowhumiddt^ - Peak Low Humid Date/Time
129) ^stalffmc^ - Low FFMC
130) ^stalffmcd^ - Low FFMC date
131) ^staldmc^ - Low DMC
132) ^staldmcd^ - Low DMC date
133) ^staldc^ - Low DC
134) ^staldcd^ - Low DC date
135) ^stalisi^ - Low ISI
136) ^stalisid^ - Low ISI date
137) ^stalbui^ - Low BUI
138) ^stalbuid^ - Low BUI date
139) ^stalfwi^ - Low FWI
140) ^stalfwid^ - Low FWI date
141) ^stalcbi^ - Low CBI
142) ^stalcbid^ - Low CBI date
143) ^stalang^ - Low Angstrom
144) ^stalangd^ - Low Angstrom date
145) ^stalfmi^ - Low FMI
146) ^stalfmid^ - Low FMI date
147) ^stalffdi^ - Low FFDI
148) ^stalffdid^ - Low FFDI date
149) ^stalgfdi^ - Low GFDI
150) ^stalgfdid^ - Low GFDI date
151) ^staldf^ - Low Drought Factor
152) ^staldfd^ - Low Drought Factor date
153) ^stalbkdi^ - Low BKDI
154) ^stalbkdid^ - Low BKDI date
155) ^staraind^ - Number consecuative days of rain
156) ^staraint^ - Amount of rain
Current Year Statistic Tags
157) ^stayrain^ - Current year rainfall
158) ^stayraindays^ - Current year rain days
159) ^staydroudays^ - Current year drought days
160) ^stayhighrain^ - Current year high rain
161) ^stayhighraind^ - Current year high rain date
162) ^stayhightemp^ - Current year high temp
163) ^stayhightempd^ - Current year high temp date
164) ^staylowtemp^ - Current year low temp
165) ^staylowtempd^ - Current year low temp date
166) ^stayhighhumid^ - Current year high humid
167) ^stayhighhumidd^ - Current year high humid date
168) ^staylowhumid^ - Current year low humid
169) ^staylowhumidd^ - Current year low humid date
170) ^stayhighwind^ - Current year high wind
171) ^stayhighwindd^ - Current year high wind date
172) ^staylowwind^ - Current year low wind
173) ^staylowwindd^ - Current year low wind date
174) ^stayhpeaktemp^ - Current year peak max temp
175) ^stayhpeaktempdt^ - Current year peak max temp 176) ^stayhpeakwind^ - Current year peak max wind
177) ^stayhpeakwinddt^ - Current year peak max wind 178) ^staylpeaklowhumid^ - Current year peak low humid
179) ^staylpeaklowhumiddt - Current year peak low humid date/time
180) ^stayhighffmc^ - Current year high FFMC
181) ^stayhighffmcd^ - Current year high FFMC date
182) ^staylowffmc^ - Current year low FFMC
183) ^staylowffmcd^ - Current year low FFMC date
184) ^stayhighdmc^ - Current year high DMC
185) ^stayhighdmcd^ - Current year high DMC date
186) ^staylowdmc^ - Current year low DMC
187) ^staylowdmcd^ - Current year low DMC date
188) ^stayhighdc^ - Current year high DC
189) ^stayhighdcd^ - Current year high DC date
190) ^staylowdc^ - Current year low DC
191) ^staylowdcd^ - Current year low DC date
192) ^stayhighisi^ - Current year high ISI
193) ^stayhighisid^ - Current year high ISI date
194) ^staylowisi^ - Current year low ISI
195) ^staylowisid^ - Current year low ISI date
196) ^stayhighbui^ - Current year high BUI
197) ^stayhighbuid^ - Current year high BUI date
198) ^staylowbui^ - Current year low BUI
199) ^staylowbuid^ - Current year low BUI date
200) ^stayhighfwi^ - Current year high FWI
201) ^stayhighfwid^ - Current year high FWI date
202) ^staylowfwi^ - Current year low FWI
203) ^staylowfwid^ - Current year low FWI date
204) ^stayhighcbi^ - Current year high CBI
205) ^stayhighcbid^ - Current year high CBI date
206) ^staylowcbi^ - Current year low CBI
207) ^staylowcbid^ - Current year low CBI date
208) ^stayhighang^ - Current year high Angstrom
209) ^stayhighangd^ - Current year high Angstrom date
210) ^staylowang^ - Current year low Angstrom
211) ^staylowangd^ - Current year low Angstrom date
212) ^stayhighfmi^ - Current year high FMI
213) ^stayhighfmid^ - Current year high FMI date
214) ^staylowfmi^ - Current year low FMI
215) ^staylowfmid^ - Current year low FMI date
216) ^stayhighffdi^ - Current year high FFDI
217) ^stayhighffdid^ - Current year high FFDI date
218) ^staylowffdi^ - Current year low FFDI
219) ^staylowffdid^ - Current year low FFDI date
220) ^stayhighgfdi^ - Current year high GFDI
221) ^stayhighgfdid^ - Current year high GFDI date
222) ^staylowgfdi^ - Current year low GFDI
223) ^staylowgfdid^ - Current year low GFDI date
224) ^stayhighdf^ - Current year high DF
225) ^stayhighdfd^ - Current year high DF date
226) ^staylowdf^ - Current year low DF
227) ^staylowdfd^ - Current year low DF date
228) ^stayhighbkdi^ - Current Year high BKDI
229) ^stayhighbkdid^ - Current Year high BKDI date
230) ^staylowbkdi^ - Current Year low BKDI
231) ^staylowbkdid^ - Current Year low BKDI date
Unit Tags
232) ^unittemp^ - Unit of Temperature
233) ^unitwind^ - Unit of Windspeed
234) ^unitdist^ - Unit of Distance
235) ^unithum^ - Unit of Humidity
236) ^unitrain^ - Unit of Rainfall
237) ^unitfuel^ - Unit of Fuel Load
Miscellaneous Tags
239) ^timeoffset^ - FWI Time Offset (ST or DLST)
240) ^fwiversion^ - FWI Calc Version
241) ^fwifirst^ - FWI First Data Date
242) ^fwidateday^ - Last Date Day
243) ^fwidatemon^ - Last Date Month
244) ^fwidateyear^ - Last Date Year
245) ^fwidatelong^ - Last Date Long Format
Redundant Tags
246) ^fwifwidcau^ - Use ^fwiffdidc^
247) ^fwifwidcaul^ - Use ^fwiffdidcl^
248) ^fwifwicolau^ - Use ^fwiffdicol^

Output Files: These are the files that FWI CALCULATOR will send the parsed input files to. Please note that it will recreate this file from new with each parse. Do not use spaces in the filename as some server types will not accept filenames in this format. This will most likely have a web type file extension (htm, html, php, txt etc). These files could be transfered to a remote server by FTP (File Transfer Protocol) after they have been parsed (see FTP File List). Browse to them with the [image] button. View/Edit these files with the [image] button (remember these files will be overwritten with each parse).

Parse Now: Clicking this button will parse all the input files immediately, overwriting all output files. No new data processing occurs.

HTML TABLE SETUP OPTIONS

A HTML table can be included in your parsed files (^fwitable^) which contains the lastest records from the database.

Table Headings: You can edit the text used as the column title (limit is 70 characters and you can use HTML tags) and choose which columns to display by checking the checkboxes for the required Column Heading. The order the columns also appear can be changed by clicking on the Ord. column number and dragging it to its new location.

Restore Standard Column Headings: Clicking this button will change all Column Titles to their standard presentation (ie. no user title text).

Records: Select maximum number of records to show in table (1-200).

Width: Enter either number of pixels wide (eg. 750) or a percentage value of web page width (eg. 100%).

Table Class Tag: Enter a Cascading Style Sheet (CSS) class (eg. class001) that can be used to format the table. Maximum of 30 characters. Do not include period (.).

Table ID Tag: Enter a ID(eg. id001) that can be used by JavaScript etc to access the table. Maximum of 30 characters. Do not include period (.).

Table Caption: Enter text that will appear in a caption above the table. Text formatting HTML tags are permitted.

Tbody Class Tag: Enter a Cascading Style Sheet (CSS) class (eg. class002) that can be used to format the body of the table. Maximum of 30 characters. Do not include period (.).

Tbody ID Tag: Enter a ID(eg. id002) that can be used by JavaScript etc to access the body of the table. Maximum of 30 characters. Do not include period (.).

Heading Open Tag: If you want to format the title text you can place the opening HTML tag here eg. <h3> All <th> cells will be modified.

Heading Close Tag: If you want to format the title text you can place the closing HTML tag here eg. </h3> All <th>cells will be modified.

Colours - Table: Selects the table body colour. Enter a valid HTML color tag (eg. #ffbf80) or click the Table button or image to open a colour dialog box.

Colours - Heading: Selects the table header colour. Enter a valid HTML color tag (eg. #ffbf80) or click the Heading button or image to open a colour dialog box.

Show Border: When Show Border is checked the table will contain a grid of 1 pixel lines between all record fields (ie. border=1), otherwise no gridlines (borders) are visible.

Show Units of Measurement When checked units of measurement will appear in the column headings for Temerature, Humidity, Windspeed, Rainfall, FFDC, SFDC and GFDC.
Expand Standard Table Headings: When checked the table headings will be expanded (eg. FWI = Fire Weather Index, FFDC = Forest Fire Danger Code etc ). This overrides edited Column Titles.

Show Long Danger Codes: When checked Danger Codes (LW,MD,HI etc) will be expanded to their long form (LOW, MODERATE, HIGH etc). If you have edited the long form in the Colour Scheme dialog these edited values will be displayed.

Show Danger Code Colours: If checked, cells containing Danger Codes (LW,MD, HI etc) will have a background colour as chosen in the Colour Scheme dialog.

CSV DATA FILE SETUP (fwidata.csv)

FWICalc can create a CSV (comma seperated value) file containing daily FWI data. The CSV File format is fixed, so it can be parsed using server-side processing routines (eg. PHP). The file will be in ascending date order to the last valid data entry. The file (fwidata.csv) is created in the main folder where FWICalc is installed. It can be uploaded using the FTP File List dialog.

The format is...

20200411,11/04/2020,,11.1,82,10.0,0.20,72.5,3,60,1.1,6,0.5,1.3,5.2,25.7,0.3,9.3,10,93,116,4174,0,MD,EX,LW,15:00,13.3,76,24.0,15:00,24.0,15:00,76

1) Date always YYYYMMDD
2) Date in local format
3) Temperature
4) Humidity
5) Windspeed
6) 24 Hour Rainfall
7) FFMC
8) DMC
9) DC
10) ISI
11) BUI
12) FWI
13) CBI
14) Angstrom Index
15) FMI
16) GFDI
17) FFDI
18) DF
19) BKDI
20) GFDC in kW
21) SFDC in kW
22) FFDC in kW
23) GFDC Code
24) SFDC Code
25) FFDC Code
26) Peak Temperature Time
27) Peak Temperature
28) Humid @ Peak Temperature
29) Wind @ Peak Temperature
30) Max Wind Speed Time
31) Max Wind Speed
32) Min Humidity Time
33) Min Humidity

Records: Select maximum number of records to show in table (0 - 7300).

Use Semi-Colon List Separator Selecting this option will force a semi-colon between all values in the CSV File. The default is the system list separator.

Use Decimal (.) Value Separator Selecting this option will force a decimal point (eg. 1.76) in floating point type values. The default is the system decimal separator. .

Website URL
Enter your full website URL here (https://... http://...). If you have chosen to POST your data values to the FWICalc website, this website URL will become a clickable link associated with your data displayed on the website.

Select whether POST Data to FWICalc Website is enabled. This will send a small data file to the FWICalc Website containing all your daily fire weather indices. It will send your Station Name & Location Data (Country, Hemisphere, Latitude, Longitude, Height). This will be entered into a online database each day; the most current daily record will overwrite the previous daily record. Visit to the FWICalc website to view this data in maps or tabular form. If the file has been produced for the day you can click the Post Now button to send it (click Parse Now if the button is disabled). Note: NO personal data, or data pertaining to your computing platform is sent to the server. You can view the data sent in the Log Viewer.

To save your settings click the OK button.


HTML Table Setup

See also .. File Options, FTP File List Select

Menu Item - Internet / Web / FileOptions

FWI CALCULATOR can produce a web style (HTML) "table" containing a similar appearance to the chart on the Main Window.

Note: The table created can be given a STYLE ID, selectable in the ID Tag field (eg. id="style001") . This allows you to create a <style> tag in the <head> section of your parse file that will operate solely on this table.

eg.<style type="text/css">
#style001 {font-size: 10pt;}
</style>

HTML TABLE SETUP OPTIONS

A HTML table can be included in your parsed files (^fwitable^) which contains the lastest records from the database.

Table Headings: You can edit the text used as the column title (limit is 70 characters and you can use HTML tags) and choose which columns to display by checking the checkboxes for the required Column Heading. The order the columns also appear can be changed by clicking on the Ord. column number and dragging it to its new location.

Restore Standard Column Headings: Clicking this button will change all Column Titles to their standard presentation (ie. no user title text).

Records: Select maximum number of records to show in table (1-200).

Width: Enter either number of pixels wide (eg. 750) or a percentage value of web page width (eg. 100%).

Table Class Tag: Enter a Cascading Style Sheet (CSS) class (eg. class001) that can be used to format the table. Maximum of 30 characters. Do not include period (.).

Table ID Tag: Enter a ID(eg. id001) that can be used by JavaScript etc to access the table. Maximum of 30 characters. Do not include period (.).

Table Caption: Enter text that will appear in a caption above the table. Text formatting HTML tags are permitted.

Tbody Class Tag: Enter a Cascading Style Sheet (CSS) class (eg. class002) that can be used to format the body of the table. Maximum of 30 characters. Do not include period (.).

Tbody ID Tag: Enter a ID(eg. id002) that can be used by JavaScript etc to access the body of the table. Maximum of 30 characters. Do not include period (.).

Heading Open Tag: If you want to format the title text you can place the opening HTML tag here eg.

All cells will be modified.

Heading Close Tag: If you want to format the title text you can place the closing HTML tag here eg.

All cells will be modified.

Colours - Table: Selects the table body colour. Enter a valid HTML color tag (eg. #ffbf80) or click the Table button or image to open a colour dialog box.

Colours - Heading: Selects the table header colour. Enter a valid HTML color tag (eg. #ffbf80) or click the Heading button or image to open a colour dialog box.

Show Border: When Show Border is checked the table will contain a grid of 1 pixel lines between all record fields (ie. border=1), otherwise no gridlines (borders) are visible.

Show Units of Measurement When checked units of measurement will appear in the column headings for Temerature, Humidity, Windspeed, Rainfall, FFDC, SFDC and GFDC.
Expand Standard Table Headings: When checked the table headings will be expanded (eg. FWI = Fire Weather Index, FFDC = Forest Fire Danger Code etc ). This overrides edited Column Titles.

Show Long Danger Codes: When checked Danger Codes (LW,MD,HI etc) will be expanded to their long form (LOW, MODERATE, HIGH etc). If you have edited the long form in the Colour Scheme dialog these edited values will be displayed.

Show Danger Code Colours: If checked, cells containing Danger Codes (LW,MD, HI etc) will have a background colour as chosen in the Colour Scheme dialog. .

To save your settings click the OK button.

Note: You must Apply your settings before the Parse Now function will act on any new settings!


Dialup / FTP Setup

See also .. FTP File List Select

Menu Item - Internet / ISP/FTP Setup

FWI Calculator has builtin FTP (File Transfer Protocol) functionality.

ISP CONNECTION

To allow FTP to operate a ISP Connection Service must first be allocated.

Note: Exiting this dialog using the OK Button will save the current settings, otherwise they will be lost. These settings will be used in the automated FTP routines.

Broadband Conn.: Check this box if you are using a Broadband/ADSL connection to connect to your ISP. No user or password information is required if using this option. All other RAS settings will be disabled.

SERVICE: Select from the drop-down list your existing ISP Connection Service. If none are visible you will need to go to My Computer / Dial-Up Networking / Make New Connection to establish a service.

USER NAME: Enter your ISP Connection username here. This field is compulsory. You may enter as many unique usernames here as required, and their associated passwords in the field below.

PASSWORD: Enter your ISP Connection password here (it will be encrypted for security reasons).This field is compulsory. You may enter as many unique passwords here as required, and their associated usernames in the field above.

TEST: Clicking this button will test the availability and establishment of the selected ISP Connection. If the result is OK the indicator square will change from a red to green colour. The scrolling Memo Box at the bottom will hold a list of all messages (errors & successes) sent by the RAS component.

FTP SETTINGS

FTP Settings are required to logon to the remote server.

FTP SERVER: Enter the IP address or ftp address of your server (eg. ftp.myserver.co.nz). Can be SSL.

USER NAME: Enter your logon name here (eg. myserver)

ACCOUNT: Some FTP Servers require an Account Name to be sent, type your account name here, otherwise leave it blank. Note: Providing an account name causes FTP to login differently, it can cause a failure if it is not required!

PASSWORD: Enter your server access password here. It will be encrypted for security reasons.

PORT: Enter the port to specify which server to connect to. The port for an FTP server is almost always 21.

INITIAL DIRECTORY: Set the FULL directory path that ALL your parsed files will be uploaded to (eg. public_html/fwi). Do not include leading or trailing slashes (/), or spaces in the directory name.

Use PASSIVE MODE: Check this box if you cannot get FWICalc's FTP function to change directories or upload files successfully.

Keep FTP Log: Check this box to enable logging of the last FTP session.

Binary Mode: Check this box to transfer files using binary (byte-for-byte), rather than ASCII (text). Default = False.

Socket: Select the correct socket (Any, Prefer IPv4, Prefer IPv6, Only IPv4, Only IPv6) that your FTP Server address requires. Default = Only IPv4.

Encryption: Select the required encryption type (None, Tls Auth, Ssl Auth, Implicit). Default = None.

TEST: Clicking this button will test the availability and establishment of a Dial-Up Connection, and FTP connectivity. If the result is OK the indicator squares will change from a red to green colour. The scrolling Memo Box at the bottom will hold a list of all messages (errors & successes) sent by the FTP component.

To save your settings click the OK button.


FTP File List Select

See also .. Web / ISP/FTP Setup

Menu Item - Internet / FTP File List Select

FWI Calculator has builtin FTP (File Transfer Protocol) functionality. You may select up to 8 individual files, the entire contents of the "graphs" folder, and the fwiweb.xml file to be transfered.

Transfer

Check these boxes to activate FTP transfers for the desired files (the fwidata.csv and fwiweb.xml are internally produced and cannot be renamed) or "graphs" folder (all graphs or files in this folder will be uploaded). Note: These boxes will automatically uncheck on exiting if a file or folder does not exist on that computer.

File to Transfer

Type the full path to a file you wish to transfer. Browse to them with the [image] button. The "graphs" folder is fixed, it cannot be edited.

Server Path (Directory)

Type the FULL directory path (in respect of the login root directory) where you want your file uploaded to (eg. public_html/fwi). Do not include leading or trailing slashes (/), spaces or put file names in the directory name. If you want your file uploaded to the login root directory leave this input blank.

Xfer Time

Type the 24 hour time you want the file to be transfered (eg. 1205). If you are transferring parsed files make sure you transfer them a few minutes after parsing has been completed. Avoid having files transfering just a minute apart (5 minutes would be more appropriate), as the transfer queue may fail if there are errors or delays in tranfering files, block them together with similar times. Alternatively use the block send method below.

Set Upload Frequency

If you want to send all selected files in a single block (Upload All), select the Upload frequency (after standard update, after any auto update, or a time between 12:00hrs and 20:00hrs). .

To save your settings click the OK button.


FTP Log

Log Viewer

Menu Item - Internet / Log Viewer

FWI Calculator maintains several logs...

  • FTP Log: A short log of all File Transfer Protocol (FTP) operations in the last FTP session. "Keep FTP Log" must be checked on the Dial Up / FTP Setting page to create this record.
  • COMMS Verbose Log: This log is always created. It will record the full detail of the last HTTP / FTP / SMTP transactions.
  • APP Log: If available, this log contains notations of errors, and some application processors (it cannot be cleared - it is limited in size). If you are communicating with the applications creator by email about a program malfunction please cut & paste a copy of this log into your email, it may help fault finding procedures.
  • POST Data: If you have chosen to send your live FWI Data to the FWICalc Website, this is the last data string sent to it's server.

Notes:

On opening, if a FTP Log file is available, it should be visible in the viewing window, otherwise the COMMS Verbose Log file, if available, will be shown. If it is empty, or contains data from a previous FTP session, it is likely the FTP process failed before the log could be saved.

To clear the selected FTP/COMMS log click the Clear Log button.

The contents of any log can be copied to the clipboard (click button) for pasting into other applications (eg. emails).


Mail / Alarm Settings

Menu Item - Internet / Email/Alarm Settings

FWICalc can send daily data, or alarm conditions as Emails.

EMAIL SETTINGS

SMTP Server: (Required) Enter your ISP SMTP server name eg. smtp.myserver.co.nz

Port: (default=25) If you are using a SSL server you may need port 465.

Authentication: Choose the method of logging in. "None" does not require Username or Password. Many SMTP servers will allow usage without login if it determines your IP address is one of its own.

Username & Password: Your login credentials if required.

From Email: (Required Field) Enter the email address that will identify the sender.

To Email: Enter an email address to send to.

CC Email: Enter an email address to send copy to.

BCC Email: Enter an email address to send blind copy to.

Subject: Enter text that will appear as email subject.

Message: Enter message text that will lead any following data or attachments. (eg. Weather Station Name and Location. This is an automated email, please do not reply.)

Attach Daily Output Data: Check this box if you want to include all daily data inline.

Attach Fire Danger Board Graphic: Check if you want the Fire danger Board (if available) attached to this email.

Send Frequency: Choose how often you want the emails sent. (Daily after standard update [12:00hrs], Daily after any auto update [this could be every 15 minutes after standard update if temperature continues to increase], 12:00hrs - 20:00hrs [Daily on preselected hour only]).

Test Email: Clicking this button should send a test email.

ALARMS

Four (4) alarms can be set. Choosing "None" makes a alarm inactive. Choose a Condition to meet (>,<,=,>=,<=). Choose a Value to test against. Note: "Fire Cross-Over" does not require Condition or Value, as it it tests temperature against humidity.

When an alarm is active a colour square appears to the right of the alarm. Green means the alarm is not triggered, Red means it is triggered. Clicking on these colour squares will toggle the alarm.

Test Alarms: Clicking this button will test the alarms against the current data. Note: if the current days data is not yet available (not midday yet) no alarms will activate.

Reset All Alarms: Clicking this button will reset ALL active alarms to Off.

Send Alarm Emails: Checking this box will send triggered alarm information as a email (any new alarm will send a email) , and include all triggered alarm information in any other email sent. .

To save your settings click the OK button.


Forecast Setup

Menu Item - Internet / Forecast Setup

FWICalc can query weather forecasts for a location near your station from www.yourweather.co.uk. FWICalc will then provide forecast Fire Weather indices for 4 to 5 days into the future based on the weather readings obtained. These can be displayed in FWI Charts or on the main window chart.

Create a yourweather account & obtain 5 Day Data XML File

1) Visit https://www.yourweather.co.uk/api/ (Cookies MUST BE enabled to use this site)
2) Select the Register link at the base of the login dialog.
3) Fill in your registration details for the Weather API.
4) Log into your yourweather account.
5) Select the "ONE LOCATION" tab.
6) Search for a location at or near your weather station location.
7) Once a valid location is selected the various file options will populate. Copy the URL associated with XML file with the 5-day forecast and detailed hourly information. Paste this URL into the FWICalc Forecast Setup dialog in the URL edit box.
8) Click the Test button. You should see 5 days worth of weather data for the midday readings. FWICalc will attempt to retrieve weather data for midday (12:00hrs), however failing this it will retrieve data in this priority order... 13:00hrs, 14:00hrs, 11:00hrs, 15:00hrs, 10:00hrs.

Choose where to display forecast FWI data

FWICalc will query the weather forecast file every four hours. The data obtained can be shown on charts only. Select where you would like it shown by checking the checkboxes...

  • Show in Main Window Chart
  • Show in HTML Tables

Once you are satisfied with your Forecast Setting select OK to save the settings.

Note: There is a Get Forecast button on the main window that can be used to manually refresh or test the forecast retrieval system.


Print Records

Menu Item - File / Print Records

FWI Calculator is capable of sending to your printer reports made up of sequential data.

PRINT RECORDS

Last Records - select this radio button and type in or use up/down buttons to choose the number of "last" records you which to display. The estimated number of pages will be automatically calculated based on your print option selections.

Date from - select this radio button and type in or select using the drop-down calendars the first and last record dates that should make up the sequence. The estimated number of pages will be automatically calculated based on your print option selections.

Data Column Selection - Check the boxes associated with the data you want displayed in the printout. You may also choose the Column Order by clicking on the Ord. Column and dragging it to its new location. Column Titles may be edited by clicking on them. Clicking on the [image] button will restore Column Titles to their defaults.

PRINT OPTIONS

Printer Setup - Click this button to select a different printer or change the printer settings.

Select Printer - Select your printer from the drop-down list.

Font - Click this button to choose the font used in the document. The size and style of the typeface can have a direct effect whether the 14 columns of data fit across your page.

Margins - Select the page margin size (mm).

Portrait / Landscape - Choose the orientation of the paper in respect of the printed text. If you are having trouble getting a large enough font to fit on a Portrait page try setting it to Landscape.

Copies - Select the number of copies you wish to print.

Print Now - Send the document to the printer now.

Abort Print - Stop a print job if it has not been sent to printer memory as yet.


Graph Maker

Menu Item - Graphs / Graph Maker

FWI Calculator has the capability to create simple 2D & 3D graphs.

Note: All settings are remembered by clicking the Close Button that then exits this window.

SERIES TYPE

Series 1
None, Temperature, Humidity, Wind Speed, Rainfall, FFMC, DMC, DC, ISI, BUI, FWI, CBI, Angstrom Index, FMI, FDI, DF, BKDI: Select what data should be displayed in Series 1 on the graph. The graph will automatically rescale its Y-Axis on changes. Choose the line colour of this series by clicking the color square on the left.

Series 2
None, Temperature, Humidity, Wind Speed, Rainfall, FFMC, DMC, DC, ISI, BUI, FWI, CBI, Angstrom Index, FMI, FDI, DF, BKDI: Select what data should be displayed in Series 2 on the graph. The graph will automatically rescale its Y-Axis on changes. Choose the line colour of this series by clicking the color square on the left.

Graph Types
You can mix & match graph types on the same graph. Choose from Line, Bar, Area, Point & Fast Line (not 3D) from the drop down list.

DATA RANGE

Date Range: Selecting this radio button allows you to select a range of dates to display in the graph. Either type in valid dates or use the drop-down calendar to choose dates. Dates outside the viable date range in the database cannot be chosen.

Records: Selecting this radio button allows you to select a number indicating the "last" records it should display. Use the up/down keys to change the record number. The limit is the number of viable records in the database.

TOOLBAR BUTTONS

Reverse which Series is shown in the foreground.
Display data in 3D/2D mode.
Display gridlines.
Display text values on points.
Display points.
Show High-Extreme danger band (in red) on graph.
Remove borders from graph elements.
Select background page colour of graph.
Select back wall colour of graph.
Select border colour of graph.
Select text colour on graph.
Select background colour of Title & Legend frames.
Change font size of axis labels (cycles 7-12 point).
Save GIF images as transparent backgrounds (Note: bottom left corner pixel is used as clear color).
Copy graph to Windows clipboard. This copies the graph as an image object to the windows memory clipboard. Once copied it is available for pasting into another graphics package (eg. Photoshop, Paint etc). Usually this function is available in the Edit / Paste menu of the other application.
Save graph as Bitmap, GIF or JPG file format.
Print graph to default printer.

ZOOM / SCROLL BUTTONS

Zoom In Graph.
Zoom Out Graph.
Reset Graph Zoom.
Scroll Graph Left.
Scroll Graph Up.
Scroll Graph Down.
Scroll Graph Right.

3D DEPTH, ROTATION, ELEVATION

The scroll controls on the lower right side of the window can be used to adjust the perspective of the graph images. Experiment with these to gain the desired effects.

STORING GRAPH LAYOUTS

Please note that all graph layouts stored will be

Auto Create: If this box is checked these layouts will be parsed and fresh graphic files saved to the ";graphs" folder utilising the latest available data. Please note that ALL files in this folder will be transfered to the server if the FTP process is activated - FTP File List Select

Load: Clicking this button will recall previous graph layouts.

Save: Click this button to save the current graph layout.

Save As: Click this button to save the current graph to a new graph layout or overwrite an existing graph layout. Filenames must be a valid graphic file (gif, jpg, jpeg or bmp). Note: Although the system uses graphic type filenames, these are only a reference to a database record containing all the settings to the graph. They only represent a true graphic file once they are auto-created to the "graphs" folder.

Delete: This will delete the current graph layout. Please note that it does not remove the graphic from the "graphs" folder should it have been created, to do this from the main window go to menu item Graphs / Empty Graphs Folder, this will delete the entire contents of the "graphs" folder.

TESTING GRAPH CREATION

From the Main Page go to menu item Graphs / Create Graphs Now; this will immediately create any graphs stored with their "Create" field checked; these will be written to the "graphs" folder. You will see a progress bar temporarily open displaying how many fields are being created. This same process happens automatically when FWI Weather files are parsed. If FTP settings are set the entire contents of the "graphs" folder is uploaded to the server (irrespective of file type or size) .

CREATING WEB GRAPHS CHECK LIST

1) Design graph as required.
2) Store graph layout, remember to check the "Create" checkbox.
3) Enable the FTP File Upload function (FTP File List Select)

Remember if you attempting to create GIF image files with a transparent background you must have the [image] button depressed before storing the layout!


Fire Danger Board

Menu Item - Graphs / Fire Danger Board

FWI Calculator can create a simple 2D Fire Danger Board graphic.

Danger Colours and Text is determined by settings in the Fire Danger Color Scheme dialog.

Image Size
Move the slider control to change the graphic size. Minimum width is 100 pixels, maximum width is 400 pixels. All graphics including text are automatically rescaled.

Graph Font
Choose a True-Type font from the drop-down list. This is used for all fonts on the graphic..

Fire Index to Use
Select the fire index that will determine the current (or last record) Fire Danger (FWI - Normal, FFDI - Code Red, GFDI - Code Red, CBI, Angstrom Index). Use FWI - Normal if in any doubt (5 segment Fire Board). Note: FFDI/GFDI - Code Red produces a 6 segment Fire Board.

Background Colour & Transparent
Select a colour for the background of the graphic by clicking on the colour box. If you want a transparent background (GIF images only) check the transparent checkbox. Note: Do not select a colour already in use on the graphic if using transparent mode.

Pointer Colour & Opacity
Select a colour for the pointer of the graphic by clicking on the colour box. If you want the pointer to be opaque (so text shows through) check the Opaque checkbox; the amount of opacity can then be adjusted (0-255).

Filename
Type the filename required for the graphic. BMP, JPG, JPEG and GIF file extensions are permitted. To automatically create the file for FTP upload check the Auto-Create checkbox. The graphic will be created at the same time other graphs are created. It will be saved in the Graphs folder.

Danger Font Colour, Bold & Uppercase / Title Case, Adjust Size
Select a colour for the Danger Level Text by clicking on the colour box. Clicking the Bold button toggles the font to Bold/Normal. Clicking the Uppercase button toggles the font to Uppercase / Title Case. You can tweak the size of the text so it renders correctly in the graphic by adjusting the size (-5 to +5)

Danger Font Back & Transparent
Select a background colour for the Danger Level Text by clicking the colour box. Check the transparent checkbox if you don't want any background colour displayed.

Align Danger Text with Pointer
Checking this box will rotate the danger text to align with the pointer within each segment.

Show Danger Value Banner
Checking this box will produce a banner below the board showing the current danger value (eg. Low, Mod, High etc). The background colour for this banner will be the current danger code colour.

Main Title Text
The graphic can have a main title if required. Type the text required in the edit box, it is scaled and displayed above the danger wheel automatically. Change the title colour by clicking on the colour box and choosing a new colour.

Show Date and Indice Used
Checking this box will produce a bottom text banner showing the date of the data used and Fire Index used to produce the Fire Board. The font size of the Danger Code text can be tweaked for best fit with the Adj Size selector. The background colour for this banner will be the current danger code colour.We recommend you use this feature so clients to your website are aware of the validity of the data!

Special Notice Text
Text entered here will appear below the Fire Board. It will appear as bold red text on a white background, with a black border. This could be used to incorporate current local fire regulations (eg. TOTAL FIRE BAN, Prohibited Fire Season, Restricted Fire Season, No Fires without a permit etc). You can save your entries by clicking the + button, or remove them by clicking the - button. Note: semi-colons(;) are not permitted in text.

You can choose to have the Special Text not to be shown on the Fire Board from a specified date. Check the Expire checkbox, then choose a date from the calendar (this will be the date your text will no longer be shown). Leaving the Expire checkbox unchecked will have your chosen text appear always.

To save your settings click the OK button.


Minimising the Application

Minimising to the System Tray

As FWI Calculator is designed to run 24/7 it has been programmed to reside in the "System Tray". When ever you minimise or close the application it will return to the system Tray area of the Task Bar (this behaviour cannot be changed).

To exit the application either go to File / Exit on the main menu, or right-click the icon in the System Tray area and choose Exit. Left-click the icon to show the application.

A checkbox (Minimise to System Tray on Startup) is provided in the Application Settings area of the FWI Setup window.


Getting Help

This is your Help File. Access to this file is available by clicking on the Help Button [image] provided on each page of the application, a page specific help dialogue will appear.

The full Help File is available by going to Help / Help Topics (chm) on the main menu.

A version of the full Help File is also available in PDF format. Go to Help / Open Help PDF on the main menu.

Note: MicroSoft continues to upgrade its security system on All operating systems from Windows 7 - Windows 10. This may prevent the Help File (fwicalc.chm) opening correctly. Use Windows Explorer or My Computer to go to the Help Folder where you installed FWICalc. Right-click on the fwicalc.chm file, select Properties. You should see an unblock button near the bottom of this dialog - click it - the file should now work.


Problems

The biggest potential problem arises if the FWI CALCULATOR stops or freezes whilst it is meant to be updating data automatically. The Error Handling system built into FWICalc is designed to intercept all errors and attempt to resolve them programmatically without stopping the application. Should a unhandled error occur, an error box will appear for 15 seconds then reset. The error has been written to the APP Log (Internet / log Viewer). Not all errors are critical, however if the error continues to reappear or affects the applications correct function, please copy the error log and email it to fwicalc@arthurspass.com.

Under normal conditions (ie. Fudge not enabled) when an error occurs with the input data or the sequence of data, FWI CALCULATOR will display an error message and STOP. It is very likely the missing data will need to be entered manually. Remember to SET YESTERDAY TOTAL RAIN for the previous day if need be before setting to Enable again.

Restart - On the front page this button when clicked will insert new missing days at the end of the file with FFMC, DMC & DC values. It will try and use the last valid indices found up to 30 days old, but will revert to normal (Moderate Fire Danger) indices otherwise.

If you choose to enable Fudge the application will continue to enter dated records BUT will only carry on the FFMC,DC & DMC values from the last known valid entry. This of course means that once it resumes it is in fact inaccurate in terms of not having the intervening lost weather data to calculate against. If you are using total rain as the parameter it also means once it resumes the first data record will contain a potentially high "rain burst" representing all missed rain over this period, and on the other hand if you are only entering 24hr rain you will miss all rain received throughout the down period.

RECOVERING BACKUP FILES
Important: Use with caution!

If you have set up a location to save backup files in FWI Setup / Application Settings, there should be up to 6 files stored here...
fwidata_BUP.fwi (main FWI data file)
config_BUP.xml (application configuration file)
graph_BUP.dat (graph settings file)
chart_BUP.dat (chart settings file)
title_BUP.dat (title settings file)
print_BUP.dat (print settings file)

You can restore all or some of these files depending what has failed. Rename these backup files in Windows Explorer by removing the "_BUP" text from each filename eg. fwidata_BUP.fwi becomes fwidata.fwi.

Close FWICalc if it is running (File/Exit). It is important that you also rename any of the existing files you wish to replace in the main folder where FWICalc is installed eg. C:\program files\FWI\ before you replace them.

Copy each renamed backup file as required and paste into the main folder. Restart FWICalc. You will probably need to go to File / Open FWI Database and select the new fwidata.fwi file.

UPGRADES
From Version 8.7.2.94 FWICalc will write 3 backup files with every upgrade. These look like...
fwibup20130206011804.bak (FWI Data)
fwsbup20130206011804.bak (Station Data)
xmlbup20130206011804.bak (Config Information)
These can be used by SoftRock to recover your data.


Moving Data Files

Moving Data Files & Running Other FWI Instances

MOVING APPLICATION FILES BETWEEN COMPUTERS

The application files are stored in the Windows ProgramData folder under "SoftRock\fwicalc\inst?". The "inst?" folder represents an instance of the application on that computer. The first installation of the application will create and store its data files in "inst0", subsequent instances of the application will create "inst1", "inst2" etc.

By default the file containing the station FWI data is stored in a file called "default.fwi", this is also stored in the folders described above. If you're wanting to transfer all data across, you'll need to copy ALL the files in the "inst?" folder and save them to the "inst?" folder created by FWICalc on the new computer. Note: FWICalc must be run, and shutdown (File/Exit) on the new computer before the data folders are created.

If you are not using "default.fwi" you will need to copy your file (?????.fwi) to the "inst?" folder on the new computer. Start FWICalc and use "File/Open FWI Database" to use that file.

MAKING ANOTHER INSTANCE ON THE SAME COMPUTER

1) Create a new folder to hold the instance of FWI Calculator (eg. c:\Program Files (x86)\FWI2). Note: You'll need Administrator Rights to create folders or copy files to this folder.

2) From the original FWICalc installation folder COPY the following files & folders to the new folder...
FWI.exe
fwidat.dll
fwimath.dll
libcrypto-1_1.dll
libssl-1_1.dll
help\fwicalc.chm

If you want to use the same layouts of your original installation you will need to copy across some data files. These are stored in the Windows ProgramData folder under "SoftRock\fwicalc\inst?", where "inst?" is an instance of the application (eg. inst0). To initiate your new instance of FWICalc you'll need to run it momentarily then shut it down (File/Exit). COPY the following files across...
chart.dat
title.dat

Do not copy across other files as these can interfere in the running of the original installation!


www.wilddata.org.nz

www.wilddata.org.nz

FWI Calc creates a "fwiweb.xml" file during data parse operations. This can be uploaded to your website using FTP File List Select.

You must register with www.wilddata.org.nz before your data can be viewed via this website.

There are several steps in creating a successful registration...

1) Enable the fwiweb.xml upload in your version of FWI Calc. Test it is being successfully uploaded to your website by opening the file directly in a web browser, this will also prove that it can be publicly accessed. You should see a file similar to...

<fwicalc>
<program>
<serial>HJK9876T5</serial>
<code>3A2F2C887D00F4D954B066AA8192FCFC</code>
</program>
<stndata>
<station>Arthur's Pass</station>
<height>730m</height>
<lat>-42.941666</lat>
<long>171.56666</long>
<hemi>Southern</hemi>
<country>New Zealand</country>
</stndata>
<fwidata>
<date>20091126</date>
<weather>
<temp>13.0</temp>
<humid>51</humid>
<wind>16.1</wind>
<rain>12.95</rain>
</weather>
<ffmc>53.6</ffmc>
<dmc>3</dmc>
<dc>5</dc>
<isi>0.5</isi>
<bui>3</bui>
<fwi>0.2</fwi>
<ffdc>LW</ffdc>
<sfdc>HI</sfdc>
<gfdc>LW</gfdc>
<cbi> 16.2</cbi>
<units>1111</units>
<time>12:02</time>
</fwidata>
</fwicalc>

2) Visit www.wilddata.org.nz. Here you are prompted for quite a lot of information...

Please note that after you submit this form neither Username or Email Address can be changed. It is important to place your Weather Station as precisely as possible using the Google help map (zoom in until you get a good fix).

The location of your fwiweb.xml MUST BE PROVIDED, and MUST BE THE FULL http:// address! You can test your file immediately by clicking the TEST XML FILE link, if successful you should see your current data displayed in a table.

You may choose an area around your weather station, up to 1000 sq.km (386 sq. ml) that portrays it's effective climatic & vegetation zone. You can zoom in the Google Map to level 8, then click on the map to place a polygon around your station (a max. of 10 points can be chosen).

3) Once you are satisfied all is correct & working, click the Register button. An email will be sent to the email address provided that includes an activation key, you have 3 days to activate your account.

NOW WHAT...

Once activated, the WildData website will visit your website every 3 hours looking for change in the fwiweb.xml file, if it detects new data it will be added to the database and be made available for public display.

Can I use this data on my own website?

Yes, you can. If you have have a basic grasp of JavaScript and GoogleMaps you can display and manipulate this data.

You will need to sign up for a Google Maps "key" if you don't already have one for your website. Visit http://code.google.com/apis/maps/. This key must be inserted in the <head> portion of your webpage.

The actual data is stored in two JavaScript Library files (updated 3 hourly) ...

Metric: <script src=http://www.wilddata.org.nz/fwicalc/script/fwidata1.js type=text/javascript>

Imperial: <script src=http://www.wilddata.org.nz/fwicalc/script/fwidata2.js type=text/javascript>

Load which ever file you want (but only one) in the <head> portion of your webpage. They are arrays of data for every participating weather station. You could independently use this data, or utilise the code (view page source) used in this file...

http://www.wilddata.org.nz/fwicalc/example.html


Future Enhancements

Further web tags

Should you have other suggestions please email them to gk4@softrock.co.nz.


Setting Up Initial FWI Data

Menu Item - Edit / Initial Values

FWI CALCULATOR requires a minimum of previous day FFMC, DMC & DC to be able to "on calculate" all subsequent data.

To obtain these startup values it is best you track down a FWI weather station in your locality that is typically effected by similar weather patterns. On entering these values it is best you wait from 10-15 days before the calculated indices for your station "settle down" and can be relied upon.

If you cannot obtain local FWI values it is best you enter the following values...

FFMC: 60
DMC: 25 Click the Suggest button and these values will be inserted!
DC: 250

these values will initiate your station with a MODERATE fire risk value. On entering these values it is best you wait from 15-20 days before the calculated indices for your station "settle down" and can be relied upon.

It doesn't matter at this stage which of the other options are checked, however I will describe their function here...

Replace first initialisation values: if this is checked when you click the OK button the very first Initialisation Data found at the beginning of the data file will be replaced and ALL subsequent data will be recalculated either to the end, or until another set of Initialisation Data is found.

Start from end of current data: if this is checked when you click the OK button this initialisation data will be placed at the end of the data file. All subsequent data will calculate in respect of these values. If another initialisation data set occupies the file end it will be replaced (ie. hence you edit it).

IMPORTANT: You cannot delete these above entries. If you create an end SET data record in error, replace it by using the values from the previous day's weather record.